var preview = new Vue({
	el:'#stm-item-card-layout',
	data:{
		load:true,
		save_load:false,
		listing_type_id:0,
		sections:[],
		config:[],
		elements:[],
		donor:[],
		prev_section: [],
		active_layout:{ id:0 },
		card_config:[],
		card_layout:[
			{
				id:"grid",
				icon:"fa fa-th-large",
				name:"Grid",
				field_group:null,
				config_show:false,
				config:{
					template:"none",
					column:{
						extra_large:4,
						large:3,
						medium:2,
						small:1,
						extra_small:1,
					}
				}
			},
			{
				id:"list",
				icon:"fa fa-th-list",
				name:"List",
				field_group:null,
				config_show:false,
				config:{
					template:"none",
				}
			},
			{
				id:"map",
				icon:"fa fa-map-marker",
				name:"Map",
				field_group:null,
				config_show:false,
				config:{
					template:"none",
				}
			}
		],
	},
	created:function(){

		if(typeof stm_item_card_layout_data == "undefined")
			return;

		if(typeof stm_item_card_layout_data.listing_type_id != "undefined")
			this.listing_type_id = stm_item_card_layout_data.listing_type_id;

		this.getData();
	},
	methods:{
		getData: function(){
			var vm = this;
			vm.load = true;
			this.$http.get("ulisting-builder/listing-item-card-layout/get-data", {
					params: {
						listing_type_id:vm.listing_type_id,
						nonce: ulistingAjaxNonce
					}
				}).then(function(response){
				if(response.body.success){
					vm.config      = response.body.data.config;
					vm.elements    = response.body.data.elements;
					vm.donor       = response.body.data.donor;
					vm.card_config = response.body.data.config.card_config;
					vm.set_layout(vm.card_layout[0])
				}
				vm.load = false;
			}).catch(error => {
				setTimeout(function() {
					vm.getData();
				}, 1000)
			});
		},
		set_layout(layout){
			this.save();
			this.active_layout = layout;
			this.active_layout.field_group = this.card_config[this.active_layout.id]
			this.get_layout();
		},
		get_layout(){

			var vm = this;
			vm.load = true;
			this.$http.post("ulisting-builder/listing-item-card-layout/get-layout",
				{
					listing_type_id: vm.listing_type_id,
					layout_id: vm.active_layout.id,
					nonce: ulistingAjaxNonce
				}
			).then(function(response){
				vm.load = false;
				if(response.body.success){
					 vm.active_layout.config = response.body.layout.config;
					 vm.sections			 = response.body.layout.sections;
				}
			}).catch(error => {
				setTimeout(function() {
					vm.get_layout();
				}, 1000)
			});


		},
		save:function(){
			var vm = this;
			vm.save_load = true;
			vm.active_layout.config_show = false;
			this.$http.post("ulisting-builder/listing-item-card-layout/save",
				{
					listing_type_id: vm.listing_type_id,
					layout: vm.active_layout,
					sections: vm.sections,
					nonce: ulistingAjaxNonce
				}
				).then(function(response){
					vm.save_load = false;
					if(response.body.success){ }
			});
		}
	},
	watch:{

	}
})

