var ulisting_control_panel = Vue.component('control-panel', {
	data: function () {
		return {
			active_tab : 0
		}
	},
	mounted: function () {
		this.active_tab = Object.keys(this.control.field_group)[0];
	},
	methods:{
		init: function() {
			//console.log("init control-panel")
		},
		set_active_tab: function(tab){
			this.active_tab = tab;
		},
		generateRandomId : function() {
			return parseFloat(Math.round( Math.random() * 100) / 100 ).toFixed(4) * 1000+'_'+Date.now();
		},
	},
	props: {
		id:{
			default:0
		},
		control: {
			default: []
		},
	},
	watch:{
		data: {
			handler(val){

			},
			deep: true
		}
	},
	template:`
		<div>
			<div class="row">
				<div class="ulisting-nav min nav nav-justified min" v-if="init">
					<li class="nav-item" v-for="(group, key) in control.field_group">
						<a  v-bind:class="{'show active': active_tab == key}" class="nav-link cursor-pointer" @click="set_active_tab(key)" >{{group.name}}</a>
					</li>
				</div>
			</div>
			<div class="tab-content p-t-15">
				<div class="tab-pane active" v-for="(group, key) in control.field_group" v-if="active_tab == key">
					<component v-for="field in group.fields" 
							   v-bind:is="field.type+'-field'" 
							   :id="id"
							   :field="field"  
							   :data="control.element.params" 
							   :element="control.element" 
							   :key="control.element.id+'_'+field.name" >
					</component>
				</div>
			</div>
		</div>
	`,
})