Vue.component('stm-thumbnail-field', {
	template: `
        <div>
			<div class="ulisting-thumbnail-field-panel">
				<div v-if="!thumbnail_url" class="ulisting-thumbnail-field-media">
					<div class="m-b-15">No image selected <span @click="openMedia" class="btn btn-light" >{{btn_value}}</span></div>
                </div>
                <div v-if="thumbnail_url" class="ulisting-thumbnail-field-media">
					<img v-bind:src="thumbnail_url">
					<div class="bottom">
						<div class="stm-row">
							<div class="stm-col text-right">
								<span @click="openMedia" class="btn btn-warning  btn-xs"><i class="fa fa-pencil-square-o"></i></span>
							</div>
							<div class="stm-col text-left">
								<span @click="clear" class="btn btn-danger btn-xs"><i class="fa fa-trash"></i></span>
							</div>		
						</div>
					</div>
				</div>
				<input type="hidden" v-bind:name="name" v-model="value">
			</div>
		</div>
    `,
	data() {
		return {

		};
	},
	created() {

	},
	methods: {
		openMedia: function() {
			var vm = this;
			if ( typeof wp !== 'undefined' && wp.media && wp.media.editor) {
				wp.media.editor.open();
				wp.media.editor.send.attachment = function(props, attachment) {

					switch (vm.value_type) {
						case 'id':
							vm.value = attachment.id;
							break;
						case 'url':
							vm.value = attachment.url;
							break;
					}

					vm.thumbnail_url = attachment.url;
					vm.$emit('update', {option_name: vm.image_type, id: vm.value})
				};
			}
		},
		clear: function() {
			this.thumbnail_url = null
			this.value = null;
			this.$emit('update', {option_name: this.image_type, id: this.value})
		}
	},
	props: {
		name: {default: "thumbnail"},
		value_type: {default: "id"},
		thumbnail_url: { default: null},
		image_type: { default: ""},
		btn_value: { default: "Choose image"},
		value: { default: null}
	}
});
