<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}

function stm_listing_admin_enqueue()
{
	$v = ULISTING_VERSION;
    wp_enqueue_style( 'jquery-ui-datepicker' );
	wp_enqueue_style('font-awesome', ULISTING_URL . '/assets/css/font-awesome.min.css', array());
	wp_enqueue_style('select2', ULISTING_URL . '/assets/css/select2.min.css', array());
	wp_enqueue_style('stm-grid', ULISTING_URL . '/assets/css/stm-grid.css', array());
	wp_enqueue_style('bootstrap', ULISTING_URL . '/assets/css/admin/bootstrap.css', array());
	wp_enqueue_style('admin', ULISTING_URL . '/assets/css/admin/admin.css', array());
	wp_enqueue_style('ulisting-admin', ULISTING_URL . '/assets/css/admin/main.css', array(), $v);

	if ( ! uListing_subscription_active() && ! uListing_user_role_active() && ! uListing_social_login_active() )
		wp_enqueue_style('ulisting-go-pro-css', ULISTING_URL . '/assets/css/admin/gopro.css', array());

	wp_enqueue_script("jquery");
	wp_enqueue_script("jquery");
	wp_enqueue_style( 'jquery-ui' );
	wp_enqueue_script( 'jquery-ui-datepicker' );
    wp_enqueue_script( 'jquery-ui-autocomplete' );
    wp_enqueue_media();

	wp_enqueue_script('moment', ULISTING_URL . '/assets/js/moment.js', array(), $v);
	wp_enqueue_script('js-cookie-ulisting', ULISTING_URL . '/assets/js/js.cookie.js', array(), $v);
	wp_enqueue_script('select2', ULISTING_URL . '/assets/js/select2.full.js', array(), $v);
	wp_enqueue_script('stm-listing-jquery-clock-timepicker', ULISTING_URL . '/assets/js/jquery-clock-timepicker.min.js', array(), $v);
	wp_enqueue_script('sortable', ULISTING_URL . '/assets/js/Sortable.min.js', array(), $v);
    wp_enqueue_script('popper', ULISTING_URL . '/assets/js/popper.min.js', array(), $v);
    wp_enqueue_script('bootstrap', ULISTING_URL . '/assets/js/bootstrap/bootstrap.js', array(), $v);

	/*----------------------- vue -----------------------*/
	wp_enqueue_script('vue', ULISTING_URL . '/assets/js/vue/vue.js', array(), $v);
	wp_enqueue_script('vue2-datepicker', ULISTING_URL . '/assets/js/vue/vue2-datepicker.js', array('vue'), $v);
	wp_enqueue_script('stm-listing-admin', ULISTING_URL . '/assets/js/admin/stm-listing-admin.js', array(), $v);
	wp_enqueue_script('stm-map-settings', ULISTING_URL . '/assets/js/admin/stm-map-settings.js', array(), $v);
	wp_enqueue_script('stm-listing-vuedraggable', ULISTING_URL . '/assets/js/vue/vuedraggable.min.js', array('vue'), $v);
	wp_enqueue_script('stm-listing-vue-vuelidate', ULISTING_URL . '/assets/js/vue/vuelidate.min.js', array('vue'), $v);
	wp_enqueue_script('stm-listing-vue-validators', ULISTING_URL . '/assets/js/vue/validators.min.js', array('vue'), $v);
	wp_enqueue_script('stm-thumbnail-field', ULISTING_URL . '/assets/js/vue/stm-thumbnail-field.js', array('vue'), $v);
	wp_enqueue_script('stm-listing-vue-google-maps', ULISTING_URL . '/assets/js/vue/vue-google-maps.js', array('vue'), $v);
	wp_enqueue_script('vue-resource', ULISTING_URL . '/assets/js/vue/vue-resource.js', array('vue'), $v);
	wp_enqueue_script('stm-listing-tab', ULISTING_URL . '/assets/js/vue/stm-listing-tab.js', array('vue'), $v);
	wp_enqueue_script('vue-select2', ULISTING_URL . '/assets/js/vue/vue-select2.js', array('vue'), $v);
	wp_enqueue_script('vue-color', ULISTING_URL . '/assets/js/vue/vue-color.min.js', array('vue'), $v);
	wp_enqueue_script('stm-icon-picker', ULISTING_URL . '/assets/js/vue/stm-icon-picker.js', array('vue'), $v);
	wp_enqueue_script('stm-modal', ULISTING_URL . '/assets/js/vue/stm-modal.js', array('vue'), $v);
	wp_enqueue_script('vue-select', ULISTING_URL . '/assets/js/vue/vue-select.js', array('vue'), $v);
	wp_enqueue_script('vue-toastr', ULISTING_URL . '/assets/js/vue/vue-toastr.min.js', array('vue'), $v, true);
	wp_add_inline_script('vue-toastr', "Vue.use(vueToastr, {});");

//	wp_enqueue_script('tinymce2', ULISTING_URL . '/assets/js/vue-tinymce-2/tinymce.min.js', array(), $v);
//	wp_enqueue_script('vue-easy-tinymce-min', ULISTING_URL . '/assets/js/vue-tinymce-2/vue-easy-tinymce.min.js', array("tinymce2"), $v);

    wp_enqueue_script('stm-submit-form', ULISTING_URL . '/assets/js/admin/stm-submit-form.js', array('vue'), $v, true);
    wp_enqueue_script('stm-user-search', ULISTING_URL . '/assets/js/admin/stm-user-search.js', array('vue'), $v, true);
    wp_enqueue_script('stm-custom-label', ULISTING_URL . '/assets/js/admin/stm-custom-label.js', array('vue'), $v, true);
    wp_enqueue_script('stm-cron', ULISTING_URL . '/assets/js/admin/stm-cron.js', array('vue'), $v, true);
    wp_enqueue_script('ulisting-similar-listing', ULISTING_URL . '/assets/js/admin/similar-listing.js', array('vue'), $v, true);
    wp_enqueue_script('stm-setting-inventory-layout', ULISTING_URL . '/assets/js/admin/stm-setting-inventory-layout.js', array('vue'), $v, true);
    wp_enqueue_script('ulisting-quick-view', ULISTING_URL . '/assets/js/admin/quick-view.js', array('vue'), $v, true);

	wp_add_inline_script('vue', "const UlistingEventBus = new Vue();");
	wp_add_inline_script('stm-listing-admin', "var currentAjaxUrl = '".admin_url( 'admin-ajax.php', 'relative' )."'", 'before');
	wp_add_inline_script('stm-listing-admin', "var ulistingAjaxNonce = '".\uListing\Classes\StmVerifyNonce::createAjaxNonce()."'", 'before');
	wp_add_inline_script('vue-resource', "Vue.http.options.root = '".site_url()."/1/api';");



    ulisting_enqueue_scripts_styles($v);
}

add_action('admin_enqueue_scripts', 'stm_listing_admin_enqueue', 1);