<?php
if(!isset($options['id']) || empty($options['id']))
	$options['id'] = 'id_'.time().'_'.rand(1111,9999);

if($value = $listing->getListDataOptions($attribute->name))
	$value = $value[$attribute->name];

if(!empty($value) AND is_array($value)) {
	$name .='['.key($value).']';
	$value = date('d-m-Y', strtotime($value[key($value)]));
}else
	$value = date('d-m-Y');

$script = "
	Vue.component('date-picker', DatePicker.default);
	new Vue({
		el: '#listing_date_".$options['id']."',
		data:{
			date: new Date()
		},
		created(){
		    this.date = new Date( moment('".esc_html($value)."', 'DD-MM-YYYY').format() )
		},
		methods:{
			set_expired_date:function(val){
				this.date = val;
			},
		}
	})
";
wp_add_inline_script('stm-submit-form', $script);
$lang = explode("_", get_locale());
$lang = $lang[0];
?>
<div class="form-group">
	<label><?php echo esc_html($attribute->title)?></label>
	<div id="listing_date_<?php echo esc_attr($options['id'])?>">
		<date-picker
			clearable="false"
			confirm
			input-name="<?php echo esc_html($name)?>"
			v-model="date"
			input-class="form-control"
			class="ulisting-date-picker"
			format="DD/MM/YYYY"
			lang=<?php echo esc_attr($lang);?>>
			@confirm="set_expired_date">
		</date-picker>
	</div>
</div>









