<?php
use uListing\Classes\StmListingType;
use uListing\Classes\StmListingAttribute;

$search_availableAttributes = StmListingAttribute::all();
if(!isset($options['id']) || empty($options['id']))
	$options['id'] = 'id_'.time().'_'.rand(1111,9999);

if (!is_array($value))
	$value = [];
?>

<!--suppress ALL -->
<div id="listing-search_form_<?php echo esc_attr($options['id'])?>">
	<div class="row  p-t-15 p-b-15 p-r-15 p-l-15">
		<?php echo html_entity_decode($settings) ?>
	</div>
	<div class="row">
		<div class="col-sm-6 col-xs-12">
			<div class="p-l-15 p-r-15">
				<div class="sidebar-name">
					<h2><?php _e("Used", "ulisting")?><span class="spinner"></span></h2>
				</div>
				<draggable v-model="used_<?php echo esc_attr($options['id'])?>" class="ulisting-draggable-panel stm-min-height-100px" :options="{group:'<?php echo esc_attr($options['id'])?>', handle:'.handle'}">
					<div class="ulisting-draggable-panel-items" v-for="(element, index) in used_<?php echo esc_attr($options['id'])?>" :key="index">
						<div class="ulisting-draggable-panel-items-top">
							<div class="title">
								<span class="handle">
									<i class="fa fa-arrows"></i>
								</span>
								<p>{{element.label}}  ({{element.type}})
                                    <small v-if="element.type === 'proximity'" class="m-2">
                                        * <?php echo __('You must add location field', 'ulisting');?>
                                    </small>
                                    <small v-else-if="element.type === 'location'" class="m-2">
                                        * <?php echo __('You must add proximity field', 'ulisting');?>
                                    </small>
                                </p>
								<span class="required" v-if="element.required">*</span>
							</div>

							<div class="action text-right p-r-10">
								<span class="btn" v-on:click="openPanel(index)">
									<i v-if="element.is_open" class="fa fa-angle-up"></i>
									<i v-if="!element.is_open" class="fa fa-angle-down"></i>
								</span>
								<span class="btn" @click="remove(index)">
									<i class="fa fa-trash"></i>
								</span>
							</div>

						</div>
						<div class="widget-inside" style="display: block" v-show="element.is_open">
							<div class="panel-custom p-t-15 p-b-15 p-l-15 p-r-15">

								<input type="hidden" :name="'<?php echo esc_attr($name)?>['+index+']['+element.type+'][type]'"  v-model="element.type" >

								<div class="form-group">
									<label><?php _e("Label", "ulisting")?></label>
									<input :name="'<?php echo esc_attr($name)?>['+index+']['+element.type+'][label]'" type="text" v-model="element.label" class="form-control" >
								</div>

								<div v-if="element.placeholder_input" class="form-group">
									<label><?php _e("Placeholder", "ulisting")?></label>
									<input :name="'<?php echo esc_attr($name)?>['+index+']['+element.type+'][placeholder]'" type="text" v-model="element.placeholder" class="form-control">
								</div>

								<div v-if="element.max_input" class="form-group">
									<label><?php _e("Min", "ulisting")?></label>
									<input :name="'<?php echo esc_attr($name)?>['+index+']['+element.type+'][min]'" type="text" v-model="element.min" class="form-control">
								</div>

								<div v-if="element.max_input" class="form-group">
									<label><?php _e("Max", "ulisting")?></label>
									<input :name="'<?php echo esc_attr($name)?>['+index+']['+element.type+'][max]'" type="text" v-model="element.max" class="form-control">
								</div>

								<div v-if="element.default_input" class="form-group">
									<label><?php _e("Default", "ulisting")?></label>
									<input :name="'<?php echo esc_attr($name)?>['+index+']['+element.type+'][default]'" type="text" v-model="element.default" class="form-control">
								</div>

								<div v-if="element.date_type_input" class="form-group">
									<label><?php _e("Date type", "ulisting")?></label>
									<ulisting-select2 :options='dateType'
										:key="generateRandomId()"
										v-model='element.date_type'
										placeholder="<?php echo esc_attr('Select date type', 'ulisting')?>"
										class="ulisting-select"
										:name="'<?php echo esc_attr($name)?>['+index+']['+element.type+'][date_type]'">
									</ulisting-select2>
								</div>

								<div v-if="element.use_field_input" class="form-group">
									<label><?php _e("Use field", "ulisting")?></label>
									<ulisting-select2 :options='getField(element.type)'
										:key="generateRandomId()"
										v-model='element.use_field'
										:placeholder="'Select use field'"
										class="ulisting-select"
										:name="'<?php echo esc_attr($name)?>['+index+']['+element.type+'][use_field]'" >
									</ulisting-select2>
								</div>

								<div v-if="element.prefix_input" class="form-group">
									<label><?php _e("Prefix", "ulisting")?></label>
									<input :name="'<?php echo esc_attr($name)?>['+index+']['+element.type+'][prefix]'" type="text" v-model="element.prefix" class="form-control">
								</div>

								<div v-if="element.suffix_input" class="form-group">
									<label><?php _e("Suffix", "ulisting")?></label>
									<input :name="'<?php echo esc_attr($name)?>['+index+']['+element.type+'][suffix]'" type="text" v-model="element.suffix" class="form-control">
								</div>

								<div v-if="element.format_data_input" class="form-group">
									<label class="ulisting-checkbox">
										<input :name="'<?php echo esc_attr($name)?>['+index+']['+element.type+'][format_data]'" type="checkbox" v-model="element.format_data" class="form-control">
										<span></span>
										<?php _e("Data format", "ulisting")?>
									</label>
								</div>

								<div v-if="element.order_by_input" class="form-group">
									<label><?php _e("Order By", "ulisting")?></label>
									<ulisting-select2 :options='order_by_list'
										:key="generateRandomId()"
										v-model='element.order_by'
										:placeholder="'Select order'"
										class="ulisting-select"
										:name="'<?php echo esc_attr($name)?>['+index+']['+element.type+'][order_by]'" >
									</ulisting-select2>
								</div>

								<div v-if="element.order_by_input" class="form-group">
									<label><?php _e("Order", "ulisting")?></label>
									<ulisting-select2 :options='order_type_list'
										:key="generateRandomId()"
										v-model='element.order'
										:placeholder="'Select order type'"
										class="ulisting-select"
										:name="'<?php echo esc_attr($name)?>['+index+']['+element.type+'][order]'" >
									</ulisting-select2>
								</div>

								<div v-if="element.column_input" class="form-group">
									<label><?php _e("Column", "ulisting")?></label>
									<ulisting-select2 :options='column'
										:key="generateRandomId()"
										v-model='element.column'
										:placeholder="'Select column'"
										class="ulisting-select"
										:name="'<?php echo esc_attr($name)?>['+index+']['+element.type+'][column]'" >
									</ulisting-select2>
								</div>

								<div v-if="element.hide_empty_input" class="form-group">
									<label class="ulisting-checkbox">
										<input :name="'<?php echo esc_attr($name)?>['+index+']['+element.type+'][hide_empty]'" type="checkbox" v-model="element.hide_empty" class="form-control">
										<span></span>
										<?php _e("Hide empty", "ulisting")?>
									</label>
								</div>

								<div v-if="element.units_input" class="form-group">
									<label><?php _e("Units", "ulisting")?></label>
									<ulisting-select2 :options='units_list'
										:key="generateRandomId()"
										v-model='element.units'
										:placeholder="'Select units'"
										class="ulisting-select"
										:name="'<?php echo esc_attr($name)?>['+index+']['+element.type+'][units]'" >
									</ulisting-select2>
								</div>
							</div>
							<div style="clear: both"></div>
						</div>
					</div>
				</draggable>
			</div>
		</div>
		<div class="col-sm-6 col-xs-12">
			<div class="p-l-15 p-r-15">
				<div class="sidebar-name">
					<h2><?php _e("Add a field", "ulisting")?><span class="spinner"></span></h2>
				</div>
				<div class="panel-custom ulisting-boder-1  ulisting-boder-color-base-7 p-t-15 p-b-15 p-l-15 p-r-15">
					<div class="form-group">
						<label><?php _e("Field type", "ulisting")?></label>
						<ulisting-select2 :options='types'
							     :key="generateRandomId()"
								 v-model='typeSelected'
								 :placeholder="'Select type'"
								 class="ulisting-select" >
						</ulisting-select2>
					</div>
					<div class="form-group">
						<button v-on:click="add" type="button" class="btn btn-primary w-full"><?php _e("Add", "ulisting")?></button>
					</div>
				</div>
			</div>
		</div>
	</div>
	<span v-for="element in used_<?php echo esc_attr($options['id'])?>">
		<input v-if="element.option_id" type="hidden" :name="'<?php echo esc_attr($name)?>['+element.option_id+']'" v-model="element.id">
		<input v-if="!element.option_id" type="hidden" :name="'<?php echo esc_attr($name)?>[]'" v-model="element.id">
	</span>

    <div id="stm-modal-<?php echo esc_attr($type)?>" class="search-modal">
        <div class="search-modal-content">
            <span class="search-modal-close <?php echo esc_attr($type)?>-close">&times;</span>
            <div class="stm-previews">
                <div class="stm-preview__item" v-for="item in previews">
                    <img :src="item">
                </div>
            </div>
        </div>
    </div>

</div>

<?php if($type === 'stm_search_form_category'):?>
    <?php ulisting_render_template(ULISTING_ADMIN_PATH . '/views/listing-types/search-forms/category-settings-attributes.php', ['search_availableAttributes' => $search_availableAttributes, 'listingType' => $listingType], true);?>
<?php endif;?>

<?php

$data = [];

foreach (StmListingAttribute::getOrderList() as $k => $v ) {
	$data['order_type_list'][] = [
		"id" => $k,
		"text" => $v,
	];
}

foreach (StmListingAttribute::getOrderByList() as $k => $v ) {
	$data['order_by_list'][] = [
		"id" => $k,
		"text" => $v,
	];
}

foreach (StmListingAttribute::getDateTypeField() as $k => $v ) {
	$data['date_type'][] = [
		"id" => $k,
		"text" => $v,
	];
}

foreach (StmListingAttribute::getUnits() as $k => $v ) {
	$data['units_list'][] = [
		"id" => $k,
		"text" => $v,
	];
}

$i = 0;
foreach ( $types as $key => $val ){
	$data["types"][] = [
		"id" => $i,
		"type" => $key,
		"text" => $val,
	];
		$i++;
}

$data['previews'] = $previews;

?>

<script>
	var _data = json_parse('<?php echo ulisting_convert_content(json_encode($data)) ?>');
	var search_forms_<?php echo esc_attr($options['id'])?> = new Vue({
		el: '#listing-search_form_<?php echo esc_attr($options['id'])?>',
		data : {
			typeSelected:null,
			order_type_list: [],
			order_by_list:[],
			dateType:[],
            previews: [],
			units_list:[],
			types: [],
			used_<?php echo esc_attr($options['id'])?>:[],
			column:[
				{
					id:1,
					text:"1"
				},
				{
					id:2,
					text:"2"
				},
				{
					id:3,
					text:"3"
				},
				{
					id:4,
					text:"4"
				},
				{
					id:6,
					text:"6"
				}
			]
		},
		created(){

			if( typeof _data == "undefined" )
				return;

			if( typeof _data.order_type_list != "undefined" )
				this.order_type_list = _data.order_type_list

			if( typeof _data.order_by_list != "undefined" )
				this.order_by_list = _data.order_by_list

			if( typeof _data.date_type != "undefined" )
				this.dateType = _data.date_type

			if( typeof _data.units_list != "undefined" )
				this.units_list = _data.units_list

			if( typeof _data.types != "undefined" )
				this.types = _data.types

            if( typeof _data.previews != "undefined")
                this.previews = _data.previews;

		},
		methods:{
			generateRandomId : function() {
				return parseFloat(Math.round( Math.random() * 100) / 100 ).toFixed(4) * 1000+'_'+Date.now();
			},
			add() {
				if(typeof this.types[this.typeSelected] == "undefined")
					return;
				var type = this.types[this.typeSelected].type
				var label = this.types[this.typeSelected].text

				switch(type) {
					case 'search':
						this.used_<?php echo esc_attr($options['id'])?>.push({
							type: type,
							label: label,
							placeholder: '',
							use_field: '',
							is_open: false
						})
						break;
					case 'location':
						this.used_<?php echo esc_attr($options['id'])?>.push({
							type: type,
							label: label,
							placeholder: '',
							is_open: false
						})
						break;
					case 'proximity':
						this.used_<?php echo esc_attr($options['id'])?>.push({
							type: type,
							label: label,
							placeholder: '',
							units:'km',
							min: '100',
							max: '1000',
							default: '10',
							is_open: false
						})
						break;
					case 'date':
						this.used_<?php echo esc_attr($options['id'])?>.push({
							type: type,
							label: label,
							use_field: null,
							is_open: false
						})
						break;
					case 'range':
						this.used_<?php echo esc_attr($options['id'])?>.push({
							type: type,
							label: label,
							use_field: null,
							range_type: null,
							prefix: '$',
							suffix: null,
							format_data: null,
							is_open: false
						})
						break;
					case 'dropdown':
						this.used_<?php echo esc_attr($options['id'])?>.push({
							type: type,
							label: label,
							placeholder: '',
							use_field: null,
							order_by: null,
							order_type: null,
							hide_empty: false,
							is_open: false
						})
						break;
					case 'checkbox':
						this.used_<?php echo esc_attr($options['id'])?>.push({
							type: type,
							label: label,
							use_field: null,
							order_by: null,
							order_type: null,
							hide_empty: false,
							is_open: false
						})
						break;
					default:
						''
						break;
				}
				this.buildfields();

				var length = this.used_<?php echo esc_attr($options['id'])?>.length
				this.openPanel( length -1 )

			},
			remove(index) {
				this.used_<?php echo esc_attr($options['id'])?>.splice(index, 1);
			},
			openPanel(index) {
				if(this.used_<?php echo esc_attr($options['id'])?>[index].is_open)
					this.used_<?php echo esc_attr($options['id'])?>[index].is_open = false
				else{
					this.used_<?php echo esc_attr($options['id'])?>.forEach(function(item) {
						item.is_open = false
					})
					this.used_<?php echo esc_attr($options['id'])?>[index].is_open = true
				}

			},
			getField(type) {
				var fields = {}

				if(type == 'search') {
					fields = [
						<?php foreach ($listingType->getFieldForType(StmListingType::SEARCH_FORM_TYPE_SEARCH) as $key => $val):?>
							{
								id:"<?php echo esc_attr($key)?>",
								text:"<?php echo esc_html($val)?>",
							},
						<?php endforeach; ?>
					];
				}

				if(type == 'date') {
					fields = [
						<?php foreach ($listingType->getFieldForType(StmListingType::SEARCH_FORM_TYPE_DATE) as $key => $val):?>
							{
								id:"<?php echo esc_attr($key)?>",
								text:"<?php echo esc_html($val)?>",
							},
						<?php endforeach; ?>
					];
				}

				if(type == 'range') {
					fields = [
						<?php foreach ($listingType->getFieldForType(StmListingType::SEARCH_FORM_TYPE_RANGE) as $key => $val):?>
							{
								id:"<?php echo esc_attr($key)?>",
								text:"<?php echo esc_html($val)?>",
							},
						<?php endforeach; ?>
					];
				}

				if(type == 'dropdown') {
					fields = [
						<?php foreach ($listingType->getFieldForType( StmListingType::SEARCH_FORM_TYPE_DROPDOWN, $type) as $key => $val):?>
							{
								id:"<?php echo esc_attr($key)?>",
								text:"<?php echo esc_html($val)?>",
							},
						<?php endforeach; ?>
					];
				}

				if(type == 'checkbox') {
					fields = [
						<?php foreach ($listingType->getFieldForType(StmListingType::SEARCH_FORM_TYPE_CHECKBOX) as $key => $val):?>
							{
								id:"<?php echo esc_attr($key)?>",
								text:"<?php echo esc_html($val)?>",
							},
						<?php endforeach; ?>
					];
				}

				return fields;
			},
			buildfields() {
				this.used_<?php echo esc_attr($options['id'])?>.forEach(function(item) {
					switch(item.type) {
						case 'search':
							item.placeholder_input = true;
							item.use_field_input = true;
							break;
						case 'location':
							item.placeholder_input = true;
							break;
						case 'proximity':
							item.units_input = true;
							item.min_input = true;
							item.max_input = true;
							item.default_input = true;
							break;
						case 'date':
							item.use_field_input = true;
							item.date_type_input = true;
							break;
						case 'range':
							item.use_field_input = true;
							item.range_type_input = true;
							item.prefix_input = true;
							item.suffix_input = true;
							item.format_data_input = true;
							break;
						case 'dropdown':
							item.placeholder_input = true;
							item.use_field_input = true;
							item.order_by_input = true;
							item.order_type_input = true;
							item.hide_empty_input = true;
							break;
						case 'checkbox':
							item.use_field_input = true;
							item.order_by_input = true;
							item.order_type_input = true;
							item.hide_empty_input = true;
							item.column_input = true;
							break;
						default:
							''
							break;
					}
				})
			}
		}
	})

	<?php foreach ( $value as $field ):?>
	  <?php $field[key($field)]['is_open'] = false?>
		search_forms_<?php echo esc_attr($options['id'])?>.used_<?php echo esc_attr($options['id'])?>.push(<?php echo json_encode($field[key($field)])?>);
		search_forms_<?php echo esc_attr($options['id'])?>.buildfields();
	<?php endforeach;?>

new Vue({
    el: 'uListingAutoComplete'
});


    function getPreview(type = '<?php echo esc_attr($type)?>'){

        var btn = document.getElementById("stm-btn-" + type);
        var modal = document.getElementById("stm-modal-" + type);
        var span = document.getElementsByClassName(type + "-close")[0];


        btn.onclick = function() {
            modal.style.zIndex = 100000;
            modal.style.opacity = 1;
        }

        span.onclick = function() {
            modal.style.zIndex = -100000;
            modal.style.opacity = 0;
        }

        window.onclick = function(event) {
            if (event.target == modal) {
                modal.style.zIndex = -100000;
                modal.style.opacity = 0;
            }
        }

    };

    getPreview();
</script>


