<?php
use uListing\Classes\StmListing;

if(empty($options['id']))
	$options['id'] = rand(1000,9999);

if($value = $listing->getListDataOptions($attribute->name))
	$value = $value[$attribute->name];

if(!empty($value) AND is_array($value)) {
    $file_paths = [];
    $images = StmListing::query()->where_in('ID', $value)->find();
    foreach ($images as $image) {
        $get_attachment_url = wp_get_attachment_image_src( $image->ID, 'thumbnail')[0];
        if(isset($get_attachment_url[0]) && !empty($get_attachment_url[0])){
            $file_paths[$image->ID] = $get_attachment_url;
        }
    }
}
?>

<div class="form-group">
	<label><?php echo esc_html($attribute->title)?></label>
	<div class="stm-listing-gallery" id="gallery_<?php echo esc_html($options['id'])?>">
		<div class="list-unstyled stm-listing-gallery">
			<draggable :list="items_<?php echo esc_attr($options['id'])?>" class="draggable-panel stm-row" :options="{group:'<?php echo esc_attr($options['id'])?>'}">
				<div v-for="(item, index) in items_<?php echo esc_attr($options['id'])?>" :key="index"  class="item stm-col-6 stm-col-sm-2 stm-col-sm-2">
					<span v-bind:style="{ backgroundImage: 'url(' + item.url + ')' }">
						<span v-on:click="removeItem(index)" class="trash"><i class="fa fa-trash"></i></span>
						<span title="Make feature"
							v-on:click="setfeatureImage(item)" class="feature-image" v-bind:class="{active:feature == item.id}" > <i class="fa fa-star"></i></span>
					</span>
				</div>
			</draggable>
		</div>

		<span v-on:click="openMedia" id="add_btn_<?php echo esc_attr($options['id'])?>" class="btn btn-success"> <?php echo __('+ Add image', 'ulisting');?></span>

		<input v-if="!item.relation_id" v-for="item in items_<?php echo esc_attr($options['id'])?>" type="hidden" v-model="item.id" :name="'<?php echo esc_attr($name)?>[]'">
		<input v-if="item.relation_id" v-for="item in items_<?php echo esc_attr($options['id'])?>" type="hidden" v-model="item.id" :name="'<?php echo esc_attr($name)?>['+item.relation_id+']'">

	</div>
	<div class="clear"></div>
</div>

<script>
	new Vue({
		el: '#gallery_<?php echo esc_attr($options['id'])?>',
		data:{
			feature:<?php echo ($feature = get_post_thumbnail_id()) ? $feature : 0?>,
			items_<?php echo esc_attr($options['id'])?>:[
				<?php foreach ($value as $key => $item):?>
				{ id:'<?php echo esc_attr($item)?>', url:'<?php echo (isset( $file_paths[$item] )) ?  $file_paths[$item]  : "" ?>', relation_id:'<?php echo esc_attr($key)?>' },
				<?php endforeach;?>
			]
		},
		methods:{
			openMedia() {
				var vm = this;
				if ( typeof wp !== 'undefined' && wp.media && wp.media.editor) {
					var btn = jQuery('#add_btn_<?php echo esc_attr($options['id'])?>');
					wp.media.editor.open(btn);
					wp.media.editor.send.attachment = function(props, attachment) {
						vm.addImage(attachment)
					};
				}
			},
			addImage(attachment) {
				this.items_<?php echo esc_attr($options['id'])?>.push({ id:attachment.id, url:attachment.url })
			},
			removeItem(key) {
				Vue.delete(this.items_<?php echo esc_attr($options['id'])?>, key)
			},
			setfeatureImage(item) {

				this.feature = item.id
				jQuery( "input[name='listing[feature_thumbnail_id]']" ).val(item.id);

				if(jQuery('#set-post-thumbnail img').length) {
					jQuery('#set-post-thumbnail img').attr('src',item.url).attr('srcset',item.url);
				}

				if(jQuery(".editor-post-feature-image img").length) {
					jQuery(".editor-post-feature-image img").attr('src',item.url).attr('srcset',item.url);
				}
			}
		}
	})
</script>




