<?php
if(!isset($options['id']) || empty($options['id']))
	$options['id'] = 'id_'.time().'_'.rand(1111,9999);

$items = $attribute->getOptionsListData();

if($value = $listing->getListDataOptions($attribute->name))
	$value = $value[$attribute->name];

if (!is_array($value))
	$value = [];

if (!is_array($items))
	$items = [];

?>

<div class="form-group">
	<label><?php echo esc_attr($attribute->title)?></label>
	<div id="listing-multiselect_<?php echo esc_attr($options['id'])?>">
	<div class="stm-row">
		<div class="stm-col-12 stm-col-md-6 ulisting-overflow">
			<div class="stm-height-100">
				<div class="sidebar-name">
					<h2><?php _e("Used", "ulisting")?> <span class="spinner"></span></h2>
				</div>
				<draggable v-model="used_<?php echo esc_attr($options['id'])?>" class="ulisting-draggable-panel stm-min-height-100px stm-height-100" :options="{group:'<?php echo esc_attr($options['id'])?>', handle:'.handle'}">
					<div class="ulisting-draggable-panel-items" v-for="(element, index) in used_<?php echo esc_attr($options['id'])?>" :key="index">
						<div class="ulisting-draggable-panel-items-top">
							<div class="title">
										<span class="handle">
											<i class="fa fa-arrows"></i>
										</span>
								<p>{{element.name}}</p>
							</div>
						</div>
					</div>
				</draggable>
			</div>
		</div>
		<div class="stm-col-12 stm-col-md-6 ulisting-overflow">
			<div class="stm-height-100">
				<div class="sidebar-name">
					<h2><?php _e("All available", "ulisting")?> <span class="spinner"></span></h2>
				</div>
				<draggable v-model="available_<?php echo esc_attr($options['id'])?>" class="ulisting-draggable-panel stm-min-height-100px stm-height-100" :options="{group:'<?php echo esc_attr($options['id'])?>', handle:'.handle'}">
					<div class="ulisting-draggable-panel-items" v-for="(element, index) in available_<?php echo esc_attr($options['id'])?>" :key="index">
						<div class="ulisting-draggable-panel-items-top">
							<div class="title">
										<span class="handle">
											<i class="fa fa-arrows"></i>
										</span>
								<p>{{element.name}}</p>
							</div>
						</div>
					</div>
				</draggable>
			</div>
		</div>
	</div>

	<span v-for="element in used_<?php echo esc_attr($options['id'])?>">
		<input v-if="element.option_id" type="hidden" :name="'<?php echo esc_attr($name)?>['+element.option_id+']'" v-model="element.id">
		<input v-if="!element.option_id" type="hidden" :name="'<?php echo esc_attr($name)?>[]'" v-model="element.id">
	</span>
</div>
</div>

<script>
	new Vue({
		el: '#listing-multiselect_<?php echo esc_attr($options['id'])?>',
		data:{
			used_<?php echo esc_attr($options['id'])?>:[
				<?php foreach ($value as $key => $val):?>
				{
					id:"<?php echo esc_attr($val)?>",
					name:"<?php echo (isset($items[$val])?$items[$val]:'');?>",
					option_id : "<?php echo esc_attr($key)?>"
				},
				<?php
				if(isset($items[$val]))
					unset($items[$val]);
				endforeach;?>
			],
			available_<?php echo esc_attr($options['id'])?> : [
				<?php foreach ($items as $key => $val):
				?>
				{
					id:"<?php echo esc_attr($key)?>",
					name:"<?php echo esc_attr($val)?>"
				},
				<?php endforeach;?>
			]
		},
		methods:{
		}
	})
</script>



