<?php

use uListing\Classes\StmCron;
use uListing\Classes\StmListingSettings;

$data = array(
	"disable_wp_cron"  => (defined('DISABLE_WP_CRON') AND DISABLE_WP_CRON == true) ? true : false,
	"alternate_wp_cron"  => (defined('ALTERNATE_WP_CRON') AND ALTERNATE_WP_CRON == true) ? true : false,
	"mode"  => StmCron::getCronMode(),
	"modes" => StmCron::getModes()
);
wp_add_inline_script('stm-cron', " var stm_cron_setting_data =  json_parse('". ulisting_convert_content(json_encode($data)) ."'); ", 'before');
?>

<div id="stm-cron-settings" class="stm-min-height-500px">
	<h4><?php _e("Cron settings","ulisting");?></h4>
	<div class="ulisting-main form-horizontal p-t-30 p-b-30 p-l-30 p-r-30 ulisting-bg-white">
			<div class="form-group">
				<div class="row">
					<label class="col-12 col-sm-3 "><?php esc_html_e('Mode', "ulisting")?></label>
					<div class="col-12 col-sm-4">
						<select v-model="mode" name="StmCron[mode]" class="form-control">
							<option  v-for="(val, key) in modes" v-bind:value="key" >{{val}}</option>
						</select>
					</div>
				</div>
			</div>

			<div class="form-group" v-if="mode == '<?php echo StmCron::MODE_ALTERNATE?>'">
				<div class="row">
					<label class="col-12 col-sm-3 "></label>
					<div class="col-12 col-sm-9">
						<div v-if="disable_wp_cron">
							Remove in wp-config.php
							<code>
								define('DISABLE_WP_CRON', true);
							</code>
							<hr>
						</div>
						<div v-if="!alternate_wp_cron">
							Add in wp-config.php
							<code>
								define('ALTERNATE_WP_CRON', true);
							</code>
							<hr>
						</div>

					</div>
				</div>
			</div>

			<div class="form-group" v-if="mode == '<?php echo StmCron::MODE_SERVER?>'">
				<div class="row">
					<label class="col-12 col-sm-3 "></label>
					<div class="col-12 col-sm-9">

						<div v-if="alternate_wp_cron">
							Remove in wp-config.php
							<code>
								define('ALTERNATE_WP_CRON', true);
							</code>
							<hr>
						</div>

						<div v-if="!disable_wp_cron">
							Add in wp-config.php
							<code>
								define('DISABLE_WP_CRON', true);
							</code>
							<hr>
						</div>
						<code>
							<?php echo "0 * * * * wget -O /dev/null ".get_site_url()."/wp-cron.php?doing_wp_cron";?>
						</code>
					</div>
				</div>
			</div>
		<?php if(ulisting_wishlist_active()):?>
		<div class="form-group p-t-30">
			<div class="row">
				<label class="col-12 col-sm-3 "><?php esc_html_e('Saved searches email notification', "ulisting")?></label>
				<div class="col-12 col-sm-9">
					<code>
						<?php echo "0 * * * * wget -O /dev/null ".get_site_url()."/ulisting-saved-searches/notification-send";?>
					</code>
				</div>
			</div>
		</div>
		<?php endif;?>
	</div>
</div>






