<?php

use uListing\Classes\StmListingAttributeOptionl;

$attributeSelect = null;

if(isset($_GET['attribute_id']))
	$attributeSelect = sanitize_text_field($_GET['attribute_id']);

?>

<div class="form-field form-required term-name-wrap">
	<label for="attribute_id"><?php _e( 'Attribute', "ulisting"); ?></label>
	<select id="attribute_id" name="attribute_id">
		<?php foreach (\uListing\Classes\StmListingAttribute::all() as $attribute):?>
			<option value="<?php echo esc_attr($attribute->id)?>" <?php echo ( $attribute->id == $attributeSelect) ? 'selected' : '' ;?> >
				<?php echo esc_html($attribute->title)?>
			</option>
		<?php endforeach;?>
	</select>
</div>

<div class="form-field form-required term-name-wrap ulisting-main">
	<div id="listing-attribute-options-thumbnail" >

		<ul class="ulisting-nav min nav nav-justified clear-both" >
			<li class="nav-item"> <a v-bind:class="{active:icon_type == 0}" class="cursor-pointer nav-link" @click="icon_type = 0"> Icon </a> </li>
			<li class="nav-item"> <a v-bind:class="{active:icon_type == 1}" class="cursor-pointer nav-link" @click="icon_type = 1"> Image </a> </li>
		</ul>
		<div class="tab-content">
			<div v-if="icon_type == 0" class="tab-pane active">
				<input type="hidden" v-model="icon" name="StmListingAttributeOptions[icon]">
				<stm-icon-picker :icon="icon" v-on:icon-event="console.log(icon = $event)"></stm-icon-picker>
			</div>
			<div v-if="icon_type == 1" class="tab-pane active">
				<div class="form-field form-required term-name-wrap">
					<stm-thumbnail-field
						btn_value="<?php echo __('Choose image', "ulisting")?>"
						name="StmListingAttributeOptions[thumbnail_id]">
					</stm-thumbnail-field>
				</div>
			</div>
		</div>

	</div>
	<script>
		new Vue({
			el:'#listing-attribute-options-thumbnail',
			data:{
				icon_type:0,
				icon:"",
			}
		})
	</script>
</div>





