<?php

use uListing\Classes\StmListingAttributeOptionl;

$thumbnail = null;
$attributeSelect = null;
$icon = null;
if($term) {
	$model = new \uListing\Classes\StmListingAttributeOption();
	$model->loadData($term);
	$attributeSelect = $model->getAttribute();
	$thumbnail = $model->getThumbnail();
	$icon      = $model->get_icon();
}?>

<?php if(!$model->getAttribute()):?>
    <tr class="form-field">
        <th scope="row" valign="top"><label for="term_meta[cat_icon]"><?php _e( 'Attribute', "ulisting"); ?></label></th>
        <td>
            <select id="attribute_id" name="attribute_id">
                <?php foreach (\uListing\Classes\StmListingAttribute::all() as $attribute):?>
                    <option value="<?php echo esc_attr($attribute->id)?>" <?php echo ( $attributeSelect AND  $attribute->id == $attributeSelect->id) ? 'selected' : '' ;?> >
                        <?php echo esc_html($attribute->title)?>
                    </option>
                <?php endforeach;?>
            </select>
        </td>
    </tr>
<?php elseif($model->getAttribute()->id):?>
    <input type="hidden" name="attribute_id" value="<?php echo esc_attr($model->getAttribute()->id)?>">
<?php endif;?>

<tr class="form-field">
    <th scope="row" valign="top"><label for="term_meta[cat_icon]"><?php _e( 'Icon', "ulisting"); ?></label></th>
    <td>
        <div id="listing-attribute-options-thumbnail" class="ulisting-main" >

            <ul class="ulisting-nav min nav nav-justified clear-both" >
                <li class="nav-item"> <a v-bind:class="{active:icon_type == 0}" class="cursor-pointer nav-link" @click="icon_type = 0"> Icon </a> </li>
                <li class="nav-item"> <a v-bind:class="{active:icon_type == 1}" class="cursor-pointer nav-link" @click="icon_type = 1"> Image </a> </li>
            </ul>

            <div class="tab-content">
                <div v-if="icon_type == 0" class="tab-pane active">
                    <input type="hidden" v-model="icon" name="StmListingAttributeOptions[icon]">
                    <stm-icon-picker :icon="icon" v-on:icon-event="console.log(icon = $event)"></stm-icon-picker>
                </div>
                <div v-if="icon_type == 1" class="tab-pane active">
                    <div class="form-field form-required term-name-wrap">
                        <stm-thumbnail-field
                                thumbnail_url="<?php echo (isset($thumbnail['url'])) ? esc_attr($thumbnail['url']) : null; ?>"
                                value="<?php echo (isset($thumbnail['id'])) ? esc_attr($thumbnail['id']) : null; ?>"
                                btn_value="<?php esc_html_e('Choose image', "ulisting")?>"
                                name="StmListingAttributeOptions[thumbnail_id]"
                        ></stm-thumbnail-field>
                    </div>
                </div>
            </div>


        </div>
        <script>

            new Vue({
                el:'#listing-attribute-options-thumbnail',
                data:{
                    icon_type:<?php echo ($icon) ? 0 : 1?>,
                    icon:"<?php echo esc_attr($icon)?>",
                }
            })
        </script>

    </td>
</tr>





