<?php
use uListing\Classes\StmListingSettings;
$currency_settings = StmListingSettings::getCurrency();
?>

<h4><?php _e("Currency settings","ulisting");?></h4>

<div class="p-t-30">
	<div class="form-group">
		<div class="stm-row">
			<div class="stm-col-3">
				<label><?php _e("Currency","ulisting");?> </label>
			</div>
			<div class="stm-col-5">
				<select name="StmListingsSettings[currency_settings][currency]" class="_select2">
					<?php foreach (StmListingSettings::get_stm_currencies() as $code => $currency):?>
						<option value="<?php echo esc_attr($code)?>" <?php echo (isset($currency_settings->currency) AND $currency_settings->currency == $code) ? "selected" : null; ?> >
							<?php echo esc_html($currency) .' ('.StmListingSettings::get_stm_currency_symbol($code).')'?>
						</option>
					<?php endforeach;?>
				</select>
			</div>
		</div>
	</div>
	<div class="form-group">
		<div class="stm-row">
			<div class="stm-col-3">
				<label><?php _e("Position Currency","ulisting");?></label>
			</div>
			<div class="stm-col-5">
				<select name="StmListingsSettings[currency_settings][position]" class="_select2">
					<?php foreach (StmListingSettings::getCurrencyPositionList() as  $key => $val):?>
						<option  <?php echo ($currency_settings->position == $key) ? 'selected' : null; ?> value="<?php echo esc_attr($key)?>"><?php echo esc_attr($val)?></option>
					<?php endforeach;?>
				</select>
			</div>
		</div>
	</div>
	<div class="form-group">
		<div class="stm-row">
			<div class="stm-col-3">
				<label><?php _e("Thousands separator","ulisting");?></label>
			</div>
			<div class="stm-col-5">
				<input class="form-control" name="StmListingsSettings[currency_settings][thousands_separator]" type="text" value="<?php echo esc_attr($currency_settings->thousands_separator)?>">
			</div>
		</div>
	</div>
	<div class="form-group">
		<div class="stm-row">
			<div class="stm-col-3">
				<label><?php _e("Decimal separator","ulisting");?></label>
			</div>
			<div class="stm-col-5">
				<input class="form-control" name="StmListingsSettings[currency_settings][decimal_separator]" type="text" value="<?php echo esc_attr($currency_settings->decimal_separator)?>">
			</div>
		</div>
	</div>
	<div class="form-group">
		<div class="stm-row">
			<div class="stm-col-3">
				<label> <?php _e("Number of characters after integer","ulisting");?></label>
			</div>
			<div class="stm-col-5">
				<input  class="form-control" name="StmListingsSettings[currency_settings][characters_after]" type="number" min="0" step="1"  value="<?php echo esc_attr($currency_settings->characters_after)?>">
			</div>
		</div>
	</div>
</div>
