<?php
$v = ULISTING_VERSION;
wp_enqueue_script('ulisting-fields', ULISTING_URL . '/assets/js/builder/fields.js', array('vue'), $v, true);
wp_enqueue_script('ulisting-builder-module-tabs', ULISTING_URL . '/assets/js/builder/module/tabs.js', array('vue'), $v, true);
wp_enqueue_script('ulisting-builder-module-element', ULISTING_URL . '/assets/js/builder/module/element.js', array('vue'), $v, true);
wp_enqueue_script('ulisting-builder-module-columns', ULISTING_URL . '/assets/js/builder/module/columns.js', array('vue'), $v, true);
wp_enqueue_script('control-panel', ULISTING_URL . '/assets/js/builder/controls/control-panel.js', array('vue'), $v, true);
wp_enqueue_script('ulisting-builder', ULISTING_URL . '/assets/js/builder/ulisting-builder.js', array('vue'), $v, true);

$data["active_layout_id"] = (isset($_GET['active_layout_id'])) ? trim($_GET['active_layout_id']) : null;

wp_add_inline_script('stm-setting-inventory-layout', "var ulisting_inventory_builder_data = json_parse('". ulisting_convert_content(json_encode($data)) ."');", 'before');

?>

<style>
	.ulisting-panel-header .btn{
		display: none;
	}
</style>

<div class="ulisting-main">
	<div id="ulisting-inventory-builder" class="ulisting-builder clear-both" v-bind:class="{'open':show_panel}">
		<div v-if="layouts_load" class="panel-custom p-t-30 p-b-30 text-center">
			<div class="stm-spinner"> <div></div> <div></div> <div></div> <div></div> <div></div> </div>
		</div>
		<div v-if="!layouts_load" class="panel-custom">
			<div class="stm-row">
				<div class="stm-col-9">
					<div class="stm-scrol-panel-x">
						<div class="ulisting-layout-list">
							<div class="item cursor-pointer add" @click="createNewLayout">
								<i class="fa fa-plus-circle"></i>
								<span><?php echo __("Create new layout", "ulisting")?></span>
							</div>


                            <div class="ulisting-file-upload">
                                <input v-model="image['file']"
                                       type="file"
                                       id="ulisting-file"
                                       hidden="hidden"
                                       accept=".txt"
                                       @change="loadImage()"
                                       ref="image-file" />
                                <div class="ulisting-file-conatiner">
                                    <span id="ulisting-upload" @click="applyImporter"><?php echo __('Choose File', 'ulistin');?></span>
                                    <span id="ulisting-file-text">{{noFile}}</span>
                                </div>
                                <button type="button" @click="importNewLayout" :disabled="noFile === 'No file chosen'" id="ulisting-file-button"><?php echo __("Import", "ulisting");?></button>
                            </div>


							<div v-for="layout in layouts" class="item cursor-pointer" v-bind:class="{active:layout_selected.id==layout.id}" @click="getLayout(layout)">
								<svg v-if="layout_selected.id!=layout.id" xmlns="http://www.w3.org/2000/svg"  version="1.1" viewBox="-51 0 512 512">
									<g id="surface1">
										<path d="M 160 51 L 160 0 L 0 0 L 0 512 L 410 512 L 410 51 Z M 160 51 " style=" stroke:none;fill-rule:nonzero;fill:rgb(94.509804%,94.509804%,96.470588%);fill-opacity:1;" />
										<path d="M 205 51 L 410 51 L 410 512 L 205 512 Z M 205 51 " style=" stroke:none;fill-rule:nonzero;fill:rgb(83.137255%,83.921569%,88.235294%);fill-opacity:1;" />
										<path d="M 95 412 L 315 412 L 315 442 L 95 442 Z M 95 412 " style=" stroke:none;fill-rule:nonzero;fill:rgb(83.137255%,83.921569%,88.235294%);fill-opacity:1;" />
										<path d="M 95 362 L 315 362 L 315 392 L 95 392 Z M 95 362 " style=" stroke:none;fill-rule:nonzero;fill:rgb(83.137255%,83.921569%,88.235294%);fill-opacity:1;" />
										<path d="M 95 312 L 315 312 L 315 342 L 95 342 Z M 95 312 " style=" stroke:none;fill-rule:nonzero;fill:rgb(83.137255%,83.921569%,88.235294%);fill-opacity:1;" />
										<path d="M 275 131 L 135 131 L 135 161 L 190 161 L 190 266 L 220 266 L 220 161 L 275 161 Z M 275 131 " style=" stroke:none;fill-rule:nonzero;fill:rgb(32.941176%,72.941176%,98.823529%);fill-opacity:1;" />
										<path d="M 205 412 L 315 412 L 315 442 L 205 442 Z M 205 412 " style=" stroke:none;fill-rule:nonzero;fill:rgb(59.215686%,61.176471%,68.627451%);fill-opacity:1;" />
										<path d="M 205 362 L 315 362 L 315 392 L 205 392 Z M 205 362 " style=" stroke:none;fill-rule:nonzero;fill:rgb(59.215686%,61.176471%,68.627451%);fill-opacity:1;" />
										<path d="M 205 312 L 315 312 L 315 342 L 205 342 Z M 205 312 " style=" stroke:none;fill-rule:nonzero;fill:rgb(59.215686%,61.176471%,68.627451%);fill-opacity:1;" />
										<path d="M 205 131 L 205 266 L 220 266 L 220 161 L 275 161 L 275 131 Z M 205 131 " style=" stroke:none;fill-rule:nonzero;fill:rgb(29.019608%,63.921569%,87.058824%);fill-opacity:1;" />
									</g>
								</svg>

								<svg v-if="layout_selected.id==layout.id" xmlns="http://www.w3.org/2000/svg"  version="1.1" viewBox="-51 0 512 512">
									<g id="surface1"><path d="M 160 51 L 160 0 L 0 0 L 0 512 L 410 512 L 410 51 Z M 160 51 " style="stroke: none;fill-rule: nonzero;fill: rgba(93, 184, 91, 0.68);fill-opacity: 1;"></path> <path d="M 205 51 L 410 51 L 410 512 L 205 512 Z M 205 51 " style="stroke: none;fill-rule: nonzero;fill: rgb(93, 184, 91);fill-opacity: 1;"></path> <path d="M 95 412 L 315 412 L 315 442 L 95 442 Z M 95 412 " style="stroke: none;fill-rule: nonzero;fill: rgb(255, 255, 255);fill-opacity: 1;"></path> <path d="M 95 362 L 315 362 L 315 392 L 95 392 Z M 95 362 " style="stroke: none;fill-rule: nonzero;fill: rgb(255, 255, 255);fill-opacity: 1;"></path> <path d="M 95 312 L 315 312 L 315 342 L 95 342 Z M 95 312 " style="stroke: none;fill-rule: nonzero;fill: rgb(255, 255, 255);fill-opacity: 1;"></path> <path d="M 275 131 L 135 131 L 135 161 L 190 161 L 190 266 L 220 266 L 220 161 L 275 161 Z M 275 131 " style="stroke: none;fill-rule: nonzero;fill: rgb(255, 255, 255);fill-opacity: 1;"></path> <path d="M 205 412 L 315 412 L 315 442 L 205 442 Z M 205 412 " style="stroke: none;fill-rule: nonzero;fill: rgb(239, 239, 239);fill-opacity: 1;"></path> <path d="M 205 362 L 315 362 L 315 392 L 205 392 Z M 205 362 " style="stroke: none;fill-rule: nonzero;fill: rgb(238, 238, 238);fill-opacity: 1;"></path> <path d="M 205 312 L 315 312 L 315 342 L 205 342 Z M 205 312 " style="stroke: none;fill-rule: nonzero;fill: rgb(238, 238, 238);fill-opacity: 1;"></path> <path d="M 205 131 L 205 266 L 220 266 L 220 161 L 275 161 L 275 131 Z M 205 131 " style="stroke: none;fill-rule: nonzero;fill: rgb(239, 239, 239);fill-opacity: 1;"></path></g>
								</svg>
								<span>{{layout.name}}</span>
							</div>
						</div>
					</div>
				</div>
				<div class="stm-col-3">
					<div class="panel-custom  p-t-15">
						<div v-if="form_load" class="panel-custom p-t-30 p-b-30 text-center">
							<div class="stm-spinner"> <div></div> <div></div> <div></div> <div></div> <div></div> </div>
						</div>
						<div v-if="!form_load">
							<div v-if="create_panel">
								<div class="form-group">
									<label class="sr-only"><?php echo __("Create new layout", "ulisting")?><?php echo __("Name", "ulisting")?></label>
									<input type="text" v-model="layout_selected.name" class="form-control" placeholder="Name layout">
								</div>
								<span class="btn btn-primary w-full" @click="create"><?php echo __("Create", "ulisting")?></span>
							</div>
							<div v-if="layout_selected.id">
								<div class="form-group">
									<label class="sr-only"><?php echo __("Create new layout", "ulisting")?><?php echo __("Name", "ulisting")?></label>
									<input type="text" v-model="layout_selected.name" class="form-control" placeholder="Name layout">
								</div>
								<div class="stm-row">
                                    <div class="stm-col" style="color: #fff; cursor: pointer"><a class="btn btn-primary w-full" :href="'<?php echo esc_url(get_site_url())?>' + generateUrl + '&stm_nonce=<?php echo wp_create_nonce( 'stm-export-nonce' ); ?>'" >Export</a></div>
									<div class="stm-col"><span class="btn btn-danger w-full" @click="detele"><?php echo __("Delete", "ulisting")?></span></div>
									<div class="stm-col"><span class="btn btn-success w-full" @click="update"><?php echo __("Save", "ulisting")?></span></div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="panel-custom  p-b-30">
			<ulisting-builder
				:load="load"
				:show_section="layout_selected.id"
				:sections="sections"
				:config="config"
				:elements="elements"
				:donor="donor">
			</ulisting-builder>
		</div>
	</div>
</div>

