<?php
$active_tab = (isset($_GET['panel'])) ? sanitize_text_field($_GET['panel']) : 'main';
?>
<form method="post" id="stm-settings-form">
<div class="ulisting-main clear-both">
	<div class="ulisting-main ulisting-bg-white clear-both m-t-30 p-r-15">

		<div class="ulisting-panel-header clear-both">
			<span class="title"><?php _e("uListing Settings", "ulisting")?></span>
			<span class="action">
				<input type="submit" class="btn btn-success" value="<?php esc_html_e("Save Changes","ulisting");?>">
			</span>
            <?php if($active_tab === 'pages'):?>
                <span class="action" style="margin: 0 10px">
                    <button type="button" class="btn btn-primary stm-generate-buttons"><?php _e("Generate Default Pages","ulisting");?></button>
			    </span>
			</span>
            <?php endif?>
		</div>

		<div class="panel-custom clear-both">

			<nav class="ulisting-nav nav nav-pills nav-justified">
				<?php foreach ($panels as $key => $panel):?>
					<a class="<?php echo ($active_tab == $key) ? 'active' : null; ?> nav-item nav-link" href="<?php echo get_admin_url(null, "edit.php?post_type=listing_type&page=stm_listing_settings")."&panel=".$key?>">
						<?php echo esc_attr($panel['title'])?>
					</a>
				<?php endforeach;?>
			</nav>
																																					
			<div class="tab-content p-t-15 p-l-15 p-r-15 ulisting-bg-white stm-tabs-content-border">
				<div role="tabpanel" class="tab-pane active">
					<?php echo apply_filters('stm_no_echo_variable', $panels[$active_tab]['view'])?>
				</div>
			</div>

		</div>
		<div style="clear: both"></div>
		<div class="ulisting-panel-header clear-both">
			<span class="title">&nbsp;</span>
            <span class="action">
				<input type="submit" class="btn btn-success" value="<?php esc_html_e("Save Changes","ulisting");?>">
			</span>
            <?php if($active_tab === 'pages'):?>
                <span class="action" style="margin: 0 10px">
                    <button type="button" class="btn btn-primary stm-generate-buttons"><?php _e("Generate Default Pages","ulisting");?></button>
			    </span>
            <?php endif?>
		</div>

	</div>
</div>
</form>

<script>
    (function($){

        let _form = $('#stm-settings-form');

        $('.stm-generate-buttons').on('click', function () {
            $.ajax({
                url: ajaxurl +'?action=stm_generate_default_pages',
                method: 'post',
                data: _form.serialize(),
                success: function (response) {
                    window.location.reload();
                },
            })
        })
    })(jQuery);
</script>

