<?php
use uListing\Classes\StmListingType;
use uListing\Classes\StmListingSettings;

$pages                    =  get_option(StmListingSettings::ULISTING_PAGES);
$account_endpoint         =  StmListingSettings::get_account_endpoint();
$stm_listing_pages        =  StmListingSettings::getPages(StmListingSettings::PAGE_LISTINGS_TYPE_PAGE);
?>

<h3><?php _e("Account","ulisting");?></h3>
<div class="p-t-30">
	<div class="form-group">
		<div class="stm-row">
			<div class="stm-col-3">
				<label> <?php _e("Account page","ulisting");?></label>
			</div>
			<div class="stm-col-5">
				<?php ulisting_render_template(ULISTING_ADMIN_PATH . '/views/listing-settings/pages-panel-selectbox.php', ['option_name' => 'account_page'], true);?>
			</div>
		</div>
	</div>
</div>
<h4><?php esc_html_e('Account endpoints', 'ulisting')?></h4>
<div class="p-t-30">
	<?php foreach ($account_endpoint as $endpoint):?>
		<div class="form-group">
			<div class="stm-row">
				<div class="stm-col-3">
					<label><?php echo esc_html($endpoint['title'])?></label>
				</div>
				<div class="stm-col-5">
					<?php if(!StmListingSettings::is_default_language()) { ?>
						<input type="text" class="form-control" value="<?php echo esc_attr($endpoint['value'])?>" disabled="disabled">
						<input type="hidden" name="StmListingsSettings[pages][account_endpoint][<?php echo esc_attr($endpoint['var'])?>]" value="<?php echo esc_attr($endpoint['value'])?>">
					<?php } else { ?>
						<input type="text" class="form-control" name="StmListingsSettings[pages][account_endpoint][<?php echo esc_attr($endpoint['var'])?>]" value="<?php echo esc_attr($endpoint['value'])?>">
					<?php } ?>
				</div>
			</div>
		</div>
	<?php endforeach;?>
	<?php if(!StmListingSettings::is_default_language()) { ?>
		<div class="form-group">
			<div class="stm-row">
				<div class="stm-col-3"></div>
				<div class="stm-col-5">
					<div class="alert alert-danger" role="alert"><?php esc_html_e("This option is only available in the Default Language. Tanslation of this page will be used for other languages.", "ulisting"); ?></div>
				</div>
			</div>
		</div>
	<?php } ?>

</div>

<hr>

<h3><?php _e("Listing","ulisting");?></h3>
<div class="p-t-30">
	<div class="form-group">
		<div class="stm-row">
			<div class="stm-col-3">
				<label> <?php _e("Add listing","ulisting");?></label>
			</div>
			<div class="stm-col-5">
				<?php ulisting_render_template(ULISTING_ADMIN_PATH . '/views/listing-settings/pages-panel-selectbox.php', ['option_name' => 'add_listing'], true);?>
			</div>
		</div>
	</div>
</div>

<hr>

<h3><?php _e("Pricing Plan","ulisting");?></h3>
<div class="p-t-30">
	<div class="form-group">
		<div class="stm-row">
			<div class="stm-col-3">
				<label> <?php _e("Pricing plan","ulisting");?></label>
			</div>
			<div class="stm-col-5">
				<?php ulisting_render_template(ULISTING_ADMIN_PATH . '/views/listing-settings/pages-panel-selectbox.php', ['option_name' => 'pricing_plan'], true);?>
			</div>
		</div>
	</div>
</div>

<hr>

<h3><?php _e("Listing type page","ulisting");?></h3>
<div class="p-t-30">
	<?php if(!StmListingSettings::is_default_language()) { ?>
		<?php foreach (StmListingType::query()->where('post_status', 'publish')->where('post_type','listing_type')->find() as $listingType): ?>
			<?php $selected_value = (isset($stm_listing_pages[$listingType->ID])) ? $stm_listing_pages[$listingType->ID] : 0; ?>
			<input type="hidden" name="StmListingsSettings[pages][listing_type_page][<?php esc_attr_e($listingType->ID)?>]" value="<?php esc_attr_e($selected_value); ?>">
		<?php endforeach;?>
		<div class="form-group">
			<div class="stm-row">
				<div class="stm-col-3"></div>
				<div class="stm-col-5">
					<div class="alert alert-danger" role="alert"><?php esc_html_e("This option is only available in the Default Language. Tanslation of this page will be used for other languages.", "ulisting"); ?></div>
				</div>
			</div>
		</div>
	<?php } else { ?>
		<?php foreach (get_posts(array('post_status' => 'publish', 'post_type' => 'listing_type', 'posts_per_page' => -1, 'suppress_filters' => false)) as $listingType): ?>
			<div class="form-group">
				<div class="stm-row">
					<div class="stm-col-3">
						<label><?php echo esc_attr($listingType->post_title)?></label>
					</div>
					<div class="stm-col-5">
						<select name="StmListingsSettings[pages][listing_type_page][<?php echo esc_attr($listingType->ID)?>]" class="_select2">
							<option value="0"><?php esc_html_e("-- No page --", "ulisting"); ?></option>
							<?php foreach (get_pages() as $page):?>
								<option <?php echo (isset($stm_listing_pages[$listingType->ID]) AND $stm_listing_pages[$listingType->ID] == $page->ID) ? 'selected' : ''; ?> value="<?php esc_attr_e($page->ID); ?>"><?php esc_attr_e($page->post_title); ?></option>
							<?php endforeach;?>
						</select>
					</div>
				</div>
			</div>
		<?php endforeach;?>
	<?php } ?>
</div>

<?php do_action("ulisting_setting_pages_panel");?>
