<?php
use uListing\Classes\StmModules;
use uListing\Classes\StmPaymentMethod;
?>
<style>
	.ulisting-panel-header .btn{
		display: none;
	}
</style>
<?php if(isset($_GET['payment_method']) AND  $payment_method = StmPaymentMethod::get_payment_method(sanitize_text_field($_GET['payment_method']))):
    ?>
	<div class="clear-both">
		<a href="<?php echo admin_url('edit.php?post_type=listing_type&page=stm_listing_settings&panel=payment')?>"><i class="fa fa-long-arrow-left"></i> <?php _e("Back", "ulisting")?></a>
		<hr>
		<?php echo apply_filters('stm_no_echo_variable', $payment_method->render_settings()); ?>
	</div>
<?php else:?>
	<div class="stm-min-height-500px " id="stm_listing_settings_payment">
		<div class="stm-row">
			<div class="stm-col-12 stm-col-md-12 p-t-15">
				<div class="p-l-15 p-b-15">
					<div  v-for="(value, index) in modules" class="card card-default">
						<div class="card-body">
							<div class="stm-row">
								<div class="stm-col-8">
									<h6 class="p-t-10">
										<span> <strong>{{ value.title }}</strong>  </span>
										<span v-if="!value.is_active" class="m-l-15 pull-right"> <span class="badge badge-warning"><?php _e('Not installed', "ulisting")?></span></span>
										<span v-if="value.is_active" class="m-l-15 pull-right"> <span class="badge badge-success"><?php _e('Installed', "ulisting")?></span></span>
									</h6>
									<p>
										{{ value.description }}
									</p>
								</div>
								<div class="stm-col-4 text-right">

								<span v-if="value.loader">
									<div class="stm-spinner"> <div></div> <div></div> <div></div> <div></div> <div></div> </div>
								</span>
									<div v-if="!value.loader">
										<span class="btn btn-success" v-if="!value.is_active"  @click="install(value)">
											<i class="fa fa-download"></i> <?php esc_html_e("Install", "ulisting")?>
										</span>
										<span class="btn btn-danger"  v-if="value.is_active" @click="uninstall(value)">
											<i class="fa fa-close"></i> <?php esc_html_e("Uninstall", "ulisting")?>
										</span>
										<a v-bind:href="'<?php echo admin_url('edit.php?post_type=listing_type&page=stm_listing_settings&panel=payment&payment_method=')?>'+value.payment_method" class="btn btn-default"  v-if="value.is_active">
											<i class="fa fa-wrench"></i> <?php esc_html_e("Settings", "ulisting")?>
										</a>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<script>
		var stm_listing_settings_payment_data = {
			currentAjaxUrl: '<?php echo admin_url( 'admin-ajax.php', 'relative' )?>',
			modules:[
				<?php foreach ( StmPaymentMethod::get_payment_method_list() as $key => $payment_method ):?>
				{
					payment_method: "<?php echo esc_attr($key)?>",
					title: "<?php echo esc_attr($payment_method->get_method_title())?>",
					description: "<?php echo esc_attr($payment_method->get_method_description())?>",
					loader:false,
					is_active: <?php echo ($payment_method->enabled == "yes") ? 1 : 0;?>
				},
				<?php endforeach;?>
			]
		}

		new Vue({
			el:'#stm_listing_settings_payment',
			data:{
				modules:[]
			},
			created: function() {
				if(typeof stm_listing_settings_payment_data != 'undefined' ) {
					this.modules = stm_listing_settings_payment_data.modules
				}
			},
			methods:{
				install:function(config) {
					var formData = new FormData();
					formData.append('StmPaymentMethod[payment_method]', config.payment_method);
					formData.append('StmPaymentMethod[type]', 'install');
					config.loader = true;
					this.$http.post(stm_listing_settings_payment_data.currentAjaxUrl + '?action=stm_settings_payment_method', formData).then(function(response){
						if(response.body.status == 'success') {
							//alert(response.body.message)
							config.is_active = true;
							location.reload();
						}
						config.loader = false;
					});
				},
				uninstall:function(config) {
					var formData = new FormData();
					formData.append('StmPaymentMethod[payment_method]', config.payment_method);
					formData.append('StmPaymentMethod[type]', 'uninstall');
					config.loader = true;
					this.$http.post(stm_listing_settings_payment_data.currentAjaxUrl + '?action=stm_settings_payment_method', formData).then(function(response){
						if(response.body.status == 'success') {
							//alert(response.body.message)
							config.is_active = false;
							location.reload();
						}
						config.loader = false;
					});
				},
			}
		})
	</script>
<?php endif;?>

