<?php

$ulisting_lock_class = "ulisting-lock-social-login-wrapper";
if (ulisting_social_login_active())
    $ulisting_lock_class = "";

$active_tab = 'social_networks';
if (isset($_COOKIE['usl_set_social_login_category']))
    $active_tab = $_COOKIE['usl_set_social_login_category'];
?>

    <style>

        .ulisting-main .stm-tabs-content-border {
            margin: 0;
            padding: 0;
        }

        .ulisting-lock-social-login-wrapper {
            pointer-events: none;
            opacity: 0.3;
        }

        .ulisting-lock-social-login:before {
            font: normal normal normal 14px/1 FontAwesome;
            text-rendering: auto;
            -webkit-font-smoothing: antialiased;
            position: absolute;
            z-index: 10000;
            top: 40%;
            left: calc((100% / 2) - -20px);
            font-size: 15em;
            color: #303441;
            content: "\f023";
            line-height: 24px;
        }
    </style>

    <div class="ulistin-social-login-main">
        <div class="stm-row stm-no-gutters <?php echo !empty($ulisting_lock_class) ? 'ulisting-lock-social-login' : '' ?>" style="position: relative">

            <div class="stm-col-2 ulisting-bg-basic-4">
                <ul class="nav ulisting-nav" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link <?php echo ($active_tab == "social_networks") || (empty($active_tab)) ? 'active' : ''; ?>"
                           onclick="usl_set_social_login_category('social_networks');" href="#social_networks"
                           aria-controls="social_networks" role="tab" data-toggle="tab">
                            <?php esc_html_e('Social Networks', "ulisting") ?>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link <?php echo ($active_tab == "settings") ? 'active' : ''; ?>"
                           onclick="usl_set_social_login_category('settings');" href="#settings"
                           aria-controls="settings" role="tab" data-toggle="tab">
                            <?php esc_html_e('Settings & Customize', "ulisting") ?>
                        </a>
                    </li>
                </ul>
            </div>

            <div class="stm-col-10">
            <?php if(!ulisting_social_login_active()):?>
                <div class="p-t-15 p-r-15 p-b-15 p-l-15">
                    <?php \uListing\Classes\Notices::notice(\uListing\Classes\Notices::TYPE_ERROR, [__("Install <a target='_blank' href='https://stylemixthemes.com/wordpress-classified-plugin/'>uListing Social Login</a> addon to unlock this feature!", "ulisting")])?>
                </div>
            <?php endif;?>
                <div class="<?php echo esc_attr($ulisting_lock_class) ?>">
                    <div class="tab-content ulisting-panel-body stm-min-height-800px">

                        <div role="tabpanel"
                             class="tab-pane fade <?php echo ($active_tab == "social_networks") ? 'show active' : ''; ?> "
                             id="social_networks">
                            <h2 class="uls-title"><?php echo __('Social Networks', 'ulisting'); ?></h2>
                            <div class="usl-container">
                                <hr>
                            </div>
                            <div id="usl-accordion-container">
                                <template v-for="(network, index) in networks">
                                    <div class="usl-accordion-tab">
                                        <input :id="network.title" type="checkbox" class="usl-accordion-input"
                                               name="usl-accordion-name">
                                        <label :for="network.title" class="usl-accordion-label"></label>
                                        <div class="usl-accordion-wrapper">
                                            <div class="usl-accordion-info">
                                                <div class="chart-pie negative over50">
                                                <span class="chart-pie-count" :class="network.classList.wrap"><i
                                                            :class="network.classList.icon"></i></span>
                                                    <div>
                                                        <div class="first-fill"></div>
                                                        <div class="second-fill" style="transform: rotate(249deg)"></div>
                                                    </div>
                                                </div>
                                                <span class="usl-accordion-title">{{network.title}}</span>
                                            </div>
                                            <div class="usl-accordion-stat">
                                                <div>
                                                 <span v-if="JSON.parse(network.enable)"
                                                       class="positive-count"><?php echo __('Enabled', 'ulisting'); ?></span>
                                                    <span v-else
                                                          class="negative-count"><?php echo __('Disabled', 'ulisting'); ?></span>
                                                    <span v-if="JSON.parse(network.verify)"
                                                          class="positive-count"><?php echo __('Verify Completed', 'ulisting'); ?></span>
                                                    <span v-else
                                                          class="neutral-count"><?php echo __('Verify Not Completed', 'ulisting'); ?></span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="usl-accordion-tab-content">
                                            <div class="usl-accordion-content-info">
                                                <div class="p-t-30">
                                                    <div class="form-group">
                                                        <div class="stm-row">
                                                            <div class="stm-col-3">
                                                                <label><?php echo __('Enable', 'ulisting'); ?></label>
                                                            </div>
                                                            <div class="stm-col-9">
                                                                <div class="switches">
                                                                    <usl-toggle :key="network.enable" v-model="network.enable"
                                                                                :value="network.enable"></usl-toggle>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <div class="stm-row">
                                                            <div class="stm-col-3">
                                                                <label>{{network.client_id.title}}</label>
                                                            </div>
                                                            <div class="stm-col-9">
                                                                <input class="form-control"
                                                                       :name="'UlistingSocialLogin[networks]['+ index +'][client_id][value]'"
                                                                       type="text" v-model="network.client_id.value">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <div class="stm-row">
                                                            <div class="stm-col-3">
                                                                <label>{{network.client_secret.title}}</label>
                                                            </div>
                                                            <div class="stm-col-9">
                                                                <input class="form-control"
                                                                       :name="'UlistingSocialLogin[networks]['+ index +'][client_secret][value]'"
                                                                       type="text" v-model="network.client_secret.value">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-group">
                                                        <div class="alert alert-warning" role="alert"
                                                             v-if="!JSON.parse(network.verify)">
                                                            <h4 class="alert-heading"><?php echo __('Getting Started!', 'ulisting'); ?></h4>
                                                            <p><?php echo __('Here you can get more information about how to create OAuth APP for - <a :href="network.social_links.social_url">{{network.title}} Documentation</a>.
                                                            Don`t forget about setting up Authentication Redirect URL like - <b>{{network.social_links.redirect_url}}</b>.', 'ulisting'); ?></p>
                                                            <hr>
                                                            <p class="mb-0"><?php echo __('Please verify your configurations before running this social authentication!', 'ulisting'); ?>
                                                                <button class="btn btn-primary" @click.prevent="verifyMethod(network.title)"><?php echo __('Verify now', 'ulisting'); ?></button>
                                                            </p>
                                                        </div>
                                                        <div class="alert alert-success" role="success" v-else>
                                                            <h4 class="alert-heading"><?php echo __('Getting Started!', 'ulisting'); ?></h4>
                                                            <p><?php echo __('Here you can get more information about how to create OAuth APP for - <a :href="network.social_links.social_url">{{network.title}} Documentation</a>.
                                                            Don`t forget about setting up Authentication Redirect URL like - <b>{{network.social_links.redirect_url}}</b>.', 'ulisting'); ?></p>
                                                            <hr>
                                                            <p class="mb-0"><?php echo __('Your configurations are verified and ready to use!', 'ulisting'); ?>
                                                                <button class="btn btn-primary" @click.prevent="verifyMethod(network.title)"><?php echo __('Verify now', 'ulisting'); ?></button>
                                                            </p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <input type="hidden" v-model="network.verify" :name="'UlistingSocialLogin[networks]['+ index +'][verify]'">
                                    <input type="hidden" v-model="network.enable" :name="'UlistingSocialLogin[networks]['+ index +'][enable]'">
                                    <input type="hidden" v-model="network.title"  :name="'UlistingSocialLogin[networks]['+ index +'][title]'">
                                    <input type="hidden" v-model="network.classList.wrap" :name="'UlistingSocialLogin[networks]['+ index +'][classList][wrap]'">
                                    <input type="hidden" v-model="network.classList.icon"  :name="'UlistingSocialLogin[networks]['+ index +'][classList][icon]'">
                                    <input type="hidden" v-model="network.client_id.title" :name="'UlistingSocialLogin[networks]['+ index +'][client_id][title]'">
                                    <input type="hidden" v-model="network.client_secret.title" :name="'UlistingSocialLogin[networks]['+ index +'][client_secret][title]'">
                                    <input type="hidden" v-model="network.social_links.social_url" :name="'UlistingSocialLogin[networks]['+ index +'][social_links][social_url]'">
                                    <input type="hidden" v-model="network.social_links.redirect_url" :name="'UlistingSocialLogin[networks]['+ index +'][social_links][redirect_url]'">
                                </template>
                            </div>
                        </div>
                        <div role="tabpanel"
                             class="tab-pane fade <?php echo ($active_tab == "settings") ? 'show active' : ''; ?> "
                             id="settings">
                            <h2 class="uls-title"><?php echo __('Settings & Customize', 'ulisting'); ?></h2>
                            <div class="usl-container">
                                <hr>
                                <h4><?php echo __("General", "ulisting"); ?></h4>
                                <div class="p-t-30">
                                    <div class="form-group">
                                        <div class="stm-row">
                                            <div class="stm-col-4">
                                                <label><?php echo __("Title", "ulisting"); ?></label>
                                            </div>
                                            <div class="stm-col-5">
                                                <input class="form-control" name="UlistingSocialLogin[settings][title]" type="text" v-model="settings.title">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="stm-row">
                                            <div class="stm-col-4">
                                                <label><?php echo __("Redirect page after login", "ulisting"); ?></label>
                                            </div>
                                            <div class="stm-col-5">
                                                <input class="form-control" name="UlistingSocialLogin[settings][redirect_url]" type="text" v-model="settings.redirect_url" placeholder="<?php echo esc_url(home_url()) ?>/">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="stm-row">
                                            <div class="stm-col-4">
                                                <label><?php echo __("Icons", "ulisting"); ?></label>
                                            </div>
                                            <div class="stm-col-5">
                                                <select class="_select2" v-model="settings.icons" name="UlistingSocialLogin[settings][icons]">
                                                    <option value="square"><?php echo __("Rounded Edges", "ulisting"); ?></option>
                                                    <option value="with_text"><?php echo __("Long Button with Text", "ulisting"); ?></option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="stm-row">
                                            <div class="stm-col-4">
                                                <label><?php echo __("Login in the same web browser tab", "ulisting"); ?></label>
                                            </div>
                                            <div class="stm-col-5">
                                                <select class="_select2" v-model="settings.tab" name="UlistingSocialLogin[settings][tab]">
                                                    <option value="no"><?php echo __("No", "ulisting"); ?></option>
                                                    <option value="yes"><?php echo __("Yes", "ulisting"); ?></option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div style="clear:both;"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

<?php if (isset($_GET['panel']) && sanitize_text_field($_GET['panel']) === 'social_login'): ?>
    <script>

        ulisting_social_login_active();

        function usl_set_social_login_category(val) {
            Cookies.set('usl_set_social_login_category', val);
        }

        function ulisting_social_login_active() {
            Cookies.set('ulisting_social_login_active', <?php echo ulisting_social_login_active()?>);
        }

        new Vue({
            el: '.ulistin-social-login-main',
            data: function () {
                return {
                    networks: {
                        google: {
                            enable: false,
                            verify: false,
                            title: 'Google',
                            client_id: {
                                title: 'Google Client ID',
                                value: ''
                            },
                            client_secret: {
                                title: 'Google Client Secret',
                                value: '',
                            },
                            classList: {
                                wrap: 'google-icon-wrapper',
                                icon: 'fab fa-google',
                            },
                            social_links: {
                                social_url: 'https://developers.google.com/identity/sign-in/web/sign-in',
                                redirect_url: '<?php echo get_option('siteurl')?>/wp-login.php?social_method=google'
                            }
                        },
                        facebook: {
                            enable: false,
                            verify: false,
                            title: 'Facebook',
                            client_id: {
                                title: 'Facebook App ID',
                                value: ''
                            },
                            client_secret: {
                                title: 'Facebook App Secret',
                                value: '',
                            },
                            classList: {
                                wrap: 'facebook-icon-wrapper',
                                icon: 'fab fa-facebook-f',
                            },
                            social_links: {
                                social_url: 'https://developers.facebook.com/docs/facebook-login/',
                                redirect_url: '<?php echo get_option('siteurl')?>/?social_method=Facebook'
                            }
                        },
                        twitter: {
                            enable: false,
                            verify: false,
                            title: 'Twitter',
                            client_id: {
                                title: 'Twitter API Key',
                                value: ''
                            },
                            client_secret: {
                                title: 'Twitter API Secret',
                                value: '',
                            },
                            classList: {
                                wrap: 'twitter-icon-wrapper',
                                icon: 'fab fa-twitter',
                            },
                            social_links: {
                                social_url: 'https://developer.twitter.com/en/docs/twitter-for-websites/log-in-with-twitter/login-in-with-twitter',
                                redirect_url: '<?php echo get_option('siteurl')?>'
                            }
                        },
                        vkontakte: {
                            enable: false,
                            verify: false,
                            title: 'Vkontakte',
                            client_id: {
                                title: 'Vkontakte API ID',
                                value: ''
                            },
                            client_secret: {
                                title: 'Vkontakte Secret Key',
                                value: '',
                            },
                            classList: {
                                wrap: 'facebook-icon-wrapper',
                                icon: 'fab fa-vk',
                            },
                            social_links: {
                                social_url: 'https://vk.com/dev',
                                redirect_url: '<?php echo get_option('siteurl')?>'
                            }
                        },
                    },
                    settings: {
                        tab: 'yes',
                        icons: 'square',
                        redirect_url: '',
                        title: 'Login with social ID',
                    },
                }
            },

            methods: {
                verifyMethod: function (methodName, isTest = 1) {
                    let location = window.location.origin;
                    let openWindow = window.open(location + '/wp-login.php?social_method=' + methodName + '&verify=' + isTest, methodName + ' verification', 'width=600,height=600,left=2340,top=120,scrollbars=1');

                    if (window.focus) {
                        openWindow.focus();
                    }
                    return openWindow;
                },

                usl_check_social_login_active: function (cname) {
                    let name = cname + "=";
                    let decodedCookie = decodeURIComponent(document.cookie);
                    let ca = decodedCookie.split(';');
                    for (let i = 0; i < ca.length; i++) {
                        let c = ca[i];
                        while (c.charAt(0) === ' ') {
                            c = c.substring(1);
                        }
                        if (c.indexOf(name) === 0) {
                            return c.substring(name.length, c.length);
                        }
                    }
                    return "";
                },

            },

            mounted() {
                let vm = this;
                let val = vm.usl_check_social_login_active('ulisting_social_login_active');
                if (val && val !== "undefined") {
                    vm.$http.get('ulisting-social-login/get-networks').then(function (response) {
                        if (response.body.success) {
                            let message = response.body.message;
                            if (message.hasOwnProperty('networks')) {
                                vm.networks = message.networks;
                            }
                            if (message.hasOwnProperty('settings')) {
                                vm.settings = message.settings;
                            }
                        }
                    }).catch(err => {
                        vm.$http.get('ulisting-social-login/get-networks').then(function (response) {
                            if (response.body.success) {
                                let message = response.body.message;
                                if (message.hasOwnProperty('networks')) {
                                    vm.networks = message.networks;
                                }
                                if (message.hasOwnProperty('settings')) {
                                    vm.settings = message.settings;
                                }
                            }
                        })
                    });
                }
            }
        });
    </script>
<?php endif ?>