<?php
if(!isset($id))
	$id = rand(10000, 99999);
?>
<div id="listing-type-attribute-add-form">
	<div class="panel-custom ulisting-boder-1  ulisting-boder-color-base-7 p-t-15 p-b-15 p-l-15 p-r-15">
		<div class="form-group" :class="{ 'has-error': $v.title.$error }">
			<input  type="text"
				class="form-control"
				placeholder="<?php esc_html_e("Title", "ulisting")?>"
				v-model.trim="title"
				v-on:change="setName"
				v-on:keyup="setName">
		</div>

		<div class="form-group" :class="{ 'has-error': $v.name.$error }">
			<input type="text"
				class="form-control"
				placeholder="<?php esc_html_e("Name", "ulisting")?>"
				v-model.trim="name"
				v-on:change="validateName"
				v-on:keyup="validateName">
		</div>

		<div class="form-group" :class="{ 'has-error': $v.type.$error }">
			<ulisting-select2 :options='type_list' v-model='type' :placeholder="'Select type'" class="ulisting-select"></ulisting-select2>
		</div>

		<div class="form-group">
			<button type="button" v-on:click="submit" class="btn btn-primary w-full">Add</button>
		</div>
	</div>
</div>

<script>
	Vue.use(window.vuelidate.default);
	var required = window.validators.required;
	var minLength = window.validators.minLength;

	new Vue({
		el: '#listing-type-attribute-add-form',
		data: {
			action:'stm_attribute_ajax_create',
			title:'',
			name:'',
			type:'',
			type_list:[
				<?php foreach (\uListing\Classes\StmListingAttribute::getType() as $key => $val):?>
					{
						id:"<?php echo esc_attr($key)?>",
						text:"<?php echo esc_attr($val)?>",
					},
				<?php endforeach; ?>
			]

		},
		validations: {
			title: {
				required: required,
				minLength: minLength(3)
			},
			name: {
				required: required,
				minLength: minLength(3)
			},
			type: {
				required: required
			}
		},
		methods:{
			submit(event){
				this.$v.$touch()
				if(!this.$v.$invalid){
					var formData = new FormData();
					formData.append('StmListingAttribute[title]', this.title);
					formData.append('StmListingAttribute[name]', this.name);
					formData.append('StmListingAttribute[type]', this.type);
					formData.append('action', this.action);
					formData.append('wpnonce', '<?php echo wp_create_nonce('stm_attribute_ajax_create')?>');
					this.$http.post('<?php echo admin_url('admin-ajax.php')?>', formData).then(res => {
						this.addAvailableAttribute(res.body);
						this.resetForm();
					});
				}
			},
			addAvailableAttribute(data) {
				UlistingEventBus.$emit("add-attribute_<?php echo esc_attr($id)?>", {
					id: data.id,
					name: data.title,
					is_options : data.is_options
				})
			},
			setName() {
				this.name = this.title;
				this.validateName();
			},
			validateName() {
				var name = '';
				for (var i = 0; i < this.name.length; i++) {
					if(
						(this.name.charCodeAt(i) >= 48  && this.name.charCodeAt(i) <= 57 ) ||
						(this.name.charCodeAt(i) >= 97  && this.name.charCodeAt(i) <= 122 ) ||
						(this.name.charCodeAt(i) >= 65  && this.name.charCodeAt(i) <= 90 ) ||
						this.name.charCodeAt(i) == 32 ||
						this.name.charCodeAt(i) == 45 ||
						this.name.charCodeAt(i) == 95
					) {
						name +=this.name.charAt(i)
						name = name.replace(/[- ]/g,'_');
					}
				}
				this.name = name.toLowerCase();
			},
			resetForm(){
				this.title = '';
				this.name = '';
				this.$v.$reset();
			}
		}
	});
</script>





