<?php
use uListing\Classes\StmListingType;

$active_tab = 'attribute';
$listingType = StmListingType::find_one(get_the_ID());
if(isset($_COOKIE['ulisting_listing_type_active_tab']))
	$active_tab = $_COOKIE['ulisting_listing_type_active_tab'];

wp_enqueue_style('ulisting-edit-post', ULISTING_URL . '/assets/css/admin/edit-post.css');
?>

<div class="ulisting-main">

	<div class="ulisting-panel-header clear-both">
		<span><?php _e("uListing", "ulisting")?></span>
	</div>


	<div class="stm-row stm-no-gutters">
		<div class="stm-col-2 ulisting-bg-basic-4">

			<ul class="nav ulisting-nav" role="tablist">

				<li class="nav-item" >
					<a class="nav-link <?php echo ($active_tab == "attribute") ? 'active' : '';?>" onclick="ulisting_listing_type_set_active_tab('attribute');" href="#attribute" aria-controls="attribute" role="tab" data-toggle="tab">
						<?php esc_html_e('Attribute', "ulisting")?>
					</a>
				</li>

				<li class="nav-item">
					<a  class="nav-link <?php echo ($active_tab == "search-forms") ? 'active' : '';?>" onclick="ulisting_listing_type_set_active_tab('search-forms');" href="#search-forms" aria-controls="search-forms" role="tab" data-toggle="tab">
						<?php esc_html_e('Search Forms', "ulisting")?>
					</a>
				</li>
				<li class="nav-item">
					<a  class="nav-link <?php echo ($active_tab == "listing-order") ? 'active' : '';?>" onclick="ulisting_listing_type_set_active_tab('listing-order');" href="#listing-order" aria-controls="listing-order" role="tab" data-toggle="tab">
						<?php esc_html_e('Listing Order', "ulisting")?>
					</a>
				</li>
				<li class="nav-item">
					<a  class="nav-link <?php echo ($active_tab == "preview-item") ? 'active' : '';?>" onclick="ulisting_listing_type_set_active_tab('preview-item');" href="#preview-item" aria-controls="preview-item" role="tab" data-toggle="tab">
						<?php esc_html_e('Preview item', "ulisting")?>
					</a>
				</li>
				<li class="nav-item">
					<a  class="nav-link <?php echo ($active_tab == "single-page") ? 'active' : '';?>" onclick="ulisting_listing_type_set_active_tab('single-page');" href="#single-page" aria-controls="single-page" role="tab" data-toggle="tab">
						<?php esc_html_e('Single Page', "ulisting")?>
					</a>
				</li>
				<li class="nav-item">
					<a  class="nav-link <?php echo ($active_tab == "inventory-page") ? 'active' : '';?>" onclick="ulisting_listing_type_set_active_tab('inventory-page');" href="#inventory-page" aria-controls="inventory-page" role="tab" data-toggle="tab">
						<?php esc_html_e('Inventory Layout', "ulisting")?>
					</a>
				</li>
				<li class="nav-item">
					<a  class="nav-link <?php echo ($active_tab == "submit-form") ? 'active' : '';?>" onclick="ulisting_listing_type_set_active_tab('submit-form');" href="#submit-form" aria-controls="submit-form" role="tab" data-toggle="tab">
						<?php esc_html_e('Submit Form', "ulisting")?>
					</a>
				</li>
				<li class="nav-item">
					<a  class="nav-link <?php echo ($active_tab == "listing-compare") ? 'active' : '';?>" onclick="ulisting_listing_type_set_active_tab('listing-compare');" href="#listing-compare" aria-controls="listing-compare" role="tab" data-toggle="tab">
						<?php esc_html_e('Listing compare', "ulisting")?>
					</a>
				</li>
                <li class="nav-item">
                    <a  class="nav-link <?php echo ($active_tab == "similar-listings") ? 'active' : '';?>" onclick="ulisting_listing_type_set_active_tab('similar-listings');" href="#similar-listings" aria-controls="similar-listings" role="tab" data-toggle="tab">
                        <?php esc_html_e("Similar listings settings", "ulisting")?>
                    </a>
                </li>
                <li class="nav-item">
                    <a  class="nav-link <?php echo ($active_tab == "quick-view") ? 'active' : '';?>" onclick="ulisting_listing_type_set_active_tab('quick-view');" href="#quick-view" aria-controls="quick-view" role="tab" data-toggle="tab">
                        <?php esc_html_e("Quick View settings", "ulisting")?>
                    </a>
                </li>
			</ul>
		</div>

		<div class="stm-col-10">
			<div class="tab-content ulisting-panel-body stm-min-height-800px">
				<div role="tabpanel" class="tab-pane" id="general">
					<div class="page-header text-center">
						<h1>General data</h1>
						<h1>Example page header <small>Subtext for header</small></h1>
					</div>
				</div>
				<div role="tabpanel" class="tab-pane fade <?php echo ($active_tab == "attribute") ? 'show active' : '';?> " id="attribute">
					<?php ulisting_render_template(ULISTING_ADMIN_PATH . '/views/listing-types/attribute.php', ['listingType' => $listingType], true);?>
				</div>
				<div role="tabpanel" class="tab-pane fade <?php echo ($active_tab == "search-forms") ? 'show active' : '';?> " id="search-forms">
					<?php ulisting_render_template(ULISTING_ADMIN_PATH . '/views/listing-types/search-forms/index.php', ['listingType' => $listingType], true);?>
				</div>
				<div role="tabpanel" class="tab-pane fade <?php echo ($active_tab == "listing-order") ? 'show active' : '';?> " id="listing-order">
					<?php ulisting_render_template(ULISTING_ADMIN_PATH . '/views/listing-types/listing-order.php', ['listingType' => $listingType], true);?>
				</div>
				<div role="tabpanel" class="tab-pane fade <?php echo ($active_tab == "preview-item") ? 'show active' : '';?> " id="preview-item">
					<?php ulisting_render_template(ULISTING_ADMIN_PATH . '/views/listing-types/preview-item/index.php', ['listingType' => $listingType], true);?>
				</div>
				<div role="tabpanel" class="tab-pane fade <?php echo ($active_tab == "single-page") ? 'show active' : '';?> " id="single-page">
					<?php ulisting_render_template(ULISTING_ADMIN_PATH . '/views/listing-types/single-page/index.php', ['listingType' => $listingType], true);?>
				</div>
				<div role="tabpanel" class="tab-pane fade <?php echo ($active_tab == "inventory-page") ? 'show active' : '';?> " id="inventory-page">
					<?php ulisting_render_template(ULISTING_ADMIN_PATH . '/views/listing-types/inventory-page.php', ['listingType' => $listingType], true);?>
				</div>
				<div role="tabpanel" class="tab-pane fade <?php echo ($active_tab == "submit-form") ? 'show active' : '';?> " id="submit-form">
					<?php ulisting_render_template(ULISTING_ADMIN_PATH . '/views/listing-types/submit-form.php', ['listingType' => $listingType], true);?>
				</div>
				<div role="tabpanel" class="tab-pane fade <?php echo ($active_tab == "listing-compare") ? 'show active' : '';?> " id="listing-compare">
					<?php ulisting_render_template(ULISTING_ADMIN_PATH . '/views/listing-types/listing-compare.php', ['listingType' => $listingType], true);?>
				</div>
                <div role="tabpanel" class="tab-pane fade <?php echo ($active_tab == "similar-listings") ? 'show active' : '';?> " id="similar-listings">
                    <?php ulisting_render_template(ULISTING_ADMIN_PATH . '/views/listing-types/similar-listings.php', ['listingType' => $listingType], true);?>
                </div>
                <div role="tabpanel" class="tab-pane fade <?php echo ($active_tab == "quick-view") ? 'show active' : '';?> " id="quick-view">
                    <?php ulisting_render_template(ULISTING_ADMIN_PATH . '/views/listing-types/quick-view.php', ['listingType' => $listingType], true);?>
                </div>
				<div style="clear:both;"></div>
			</div>
		</div>
	</div>
</div>

<script>
	jQuery(document).ready(function($) {
		if(typeof wp.data != "undefined" ){
			var editPost = wp.data.select( 'core/edit-post' ),
				lastIsSaving = false;
			wp.data.subscribe( function() {
				var isSaving = editPost.isSavingMetaBoxes();
				if ( isSaving !== lastIsSaving && !isSaving ) {
					lastIsSaving = isSaving;
					location.reload();
				}
				lastIsSaving = isSaving;
			} );
		}
	})
</script>
