<?php
use uListing\Classes\StmInventoryLayout;

$layout = $listingType->getLayout();

if(isset($layout['id']))
	$data['activeLayout'] = $layout['id'];

$data['layouts'] = StmInventoryLayout::getLayoutList();

wp_add_inline_script('stm-setting-inventory-layout', "var stm_listing_setting_inventory_layout = json_parse('". ulisting_convert_content(json_encode($data)) ."');", 'before');
?>
<div class="clear-both ulisting-type-layout-list" id="ulisting-listing-type-layout-page">
	<div class="stm-row">
        <a href="<?php echo admin_url("edit.php?post_type=listing_type&page=stm_listing_settings&panel=inventory_layout")?>" target="_blank" class="ulisting-type-layout-list-item ulisting-redirect-to-inventory cursor-pointer add"><i class="fa fa-plus-circle"></i> <span>Create new layout</span></a>
        <a href="<?php echo admin_url("edit.php?post_type=listing_type&page=stm_listing_settings&panel=inventory_layout")?>" target="_blank" class="ulisting-type-layout-list-item ulisting-redirect-to-inventory cursor-pointer" style="margin-left: 0;"><i style="font-family: FontAwesome; font-size: 44px;" class="fas fa-upload"></i> <span>Upload new layout</span></a>
        <div v-for="layout in layouts" class="stm-col-12 stm-col-sm-6 stm-col-md-4 stm-col-lg-2 text-center">
			<div class="ulisting-type-layout-list-item" @click="setActive(layout)" v-bind:class="{active: activeLayout == layout.id}">
				<div class="top">
					<a v-bind:href="'<?php echo admin_url("edit.php?post_type=listing_type&page=stm_listing_settings&panel=inventory_layout&active_layout_id=")?>'+layout.id" class="btn"><i class="fa fa-pencil-square"></i></a>
				</div>
				<svg v-if="activeLayout != layout.id" xmlns="http://www.w3.org/2000/svg"  version="1.1" viewBox="-51 0 512 512">
					<g id="surface1">
						<path d="M 160 51 L 160 0 L 0 0 L 0 512 L 410 512 L 410 51 Z M 160 51 " style=" stroke:none;fill-rule:nonzero;fill:rgb(94.509804%,94.509804%,96.470588%);fill-opacity:1;" />
						<path d="M 205 51 L 410 51 L 410 512 L 205 512 Z M 205 51 " style=" stroke:none;fill-rule:nonzero;fill:rgb(83.137255%,83.921569%,88.235294%);fill-opacity:1;" />
						<path d="M 95 412 L 315 412 L 315 442 L 95 442 Z M 95 412 " style=" stroke:none;fill-rule:nonzero;fill:rgb(83.137255%,83.921569%,88.235294%);fill-opacity:1;" />
						<path d="M 95 362 L 315 362 L 315 392 L 95 392 Z M 95 362 " style=" stroke:none;fill-rule:nonzero;fill:rgb(83.137255%,83.921569%,88.235294%);fill-opacity:1;" />
						<path d="M 95 312 L 315 312 L 315 342 L 95 342 Z M 95 312 " style=" stroke:none;fill-rule:nonzero;fill:rgb(83.137255%,83.921569%,88.235294%);fill-opacity:1;" />
						<path d="M 275 131 L 135 131 L 135 161 L 190 161 L 190 266 L 220 266 L 220 161 L 275 161 Z M 275 131 " style=" stroke:none;fill-rule:nonzero;fill:rgb(32.941176%,72.941176%,98.823529%);fill-opacity:1;" />
						<path d="M 205 412 L 315 412 L 315 442 L 205 442 Z M 205 412 " style=" stroke:none;fill-rule:nonzero;fill:rgb(59.215686%,61.176471%,68.627451%);fill-opacity:1;" />
						<path d="M 205 362 L 315 362 L 315 392 L 205 392 Z M 205 362 " style=" stroke:none;fill-rule:nonzero;fill:rgb(59.215686%,61.176471%,68.627451%);fill-opacity:1;" />
						<path d="M 205 312 L 315 312 L 315 342 L 205 342 Z M 205 312 " style=" stroke:none;fill-rule:nonzero;fill:rgb(59.215686%,61.176471%,68.627451%);fill-opacity:1;" />
						<path d="M 205 131 L 205 266 L 220 266 L 220 161 L 275 161 L 275 131 Z M 205 131 " style=" stroke:none;fill-rule:nonzero;fill:rgb(29.019608%,63.921569%,87.058824%);fill-opacity:1;" />
					</g>
				</svg>

				<svg v-if="activeLayout == layout.id" xmlns="http://www.w3.org/2000/svg"  version="1.1" viewBox="-51 0 512 512">
					<g id="surface1"><path d="M 160 51 L 160 0 L 0 0 L 0 512 L 410 512 L 410 51 Z M 160 51 " style="stroke: none;fill-rule: nonzero;fill: rgba(93, 184, 91, 0.68);fill-opacity: 1;"></path> <path d="M 205 51 L 410 51 L 410 512 L 205 512 Z M 205 51 " style="stroke: none;fill-rule: nonzero;fill: rgb(93, 184, 91);fill-opacity: 1;"></path> <path d="M 95 412 L 315 412 L 315 442 L 95 442 Z M 95 412 " style="stroke: none;fill-rule: nonzero;fill: rgb(255, 255, 255);fill-opacity: 1;"></path> <path d="M 95 362 L 315 362 L 315 392 L 95 392 Z M 95 362 " style="stroke: none;fill-rule: nonzero;fill: rgb(255, 255, 255);fill-opacity: 1;"></path> <path d="M 95 312 L 315 312 L 315 342 L 95 342 Z M 95 312 " style="stroke: none;fill-rule: nonzero;fill: rgb(255, 255, 255);fill-opacity: 1;"></path> <path d="M 275 131 L 135 131 L 135 161 L 190 161 L 190 266 L 220 266 L 220 161 L 275 161 Z M 275 131 " style="stroke: none;fill-rule: nonzero;fill: rgb(255, 255, 255);fill-opacity: 1;"></path> <path d="M 205 412 L 315 412 L 315 442 L 205 442 Z M 205 412 " style="stroke: none;fill-rule: nonzero;fill: rgb(239, 239, 239);fill-opacity: 1;"></path> <path d="M 205 362 L 315 362 L 315 392 L 205 392 Z M 205 362 " style="stroke: none;fill-rule: nonzero;fill: rgb(238, 238, 238);fill-opacity: 1;"></path> <path d="M 205 312 L 315 312 L 315 342 L 205 342 Z M 205 312 " style="stroke: none;fill-rule: nonzero;fill: rgb(238, 238, 238);fill-opacity: 1;"></path> <path d="M 205 131 L 205 266 L 220 266 L 220 161 L 275 161 L 275 131 Z M 205 131 " style="stroke: none;fill-rule: nonzero;fill: rgb(239, 239, 239);fill-opacity: 1;"></path></g>
				</svg>

				<p>{{layout.name}}</p>
			</div>
		</div>
	</div>
	<input type="hidden" v-model="activeLayout" name="stm_listing_type_layout">
</div>
