<?php
$v = ULISTING_VERSION;
wp_enqueue_script('ulisting-thumbnail-box', ULISTING_URL . '/assets/js/builder/module/thumbnail-box.js', array('vue'), $v, true);
wp_enqueue_script('ulisting-fields', ULISTING_URL . '/assets/js/builder/fields.js', array('vue'), $v, true);
wp_enqueue_script('ulisting-builder-module-attribute-box', ULISTING_URL . '/assets/js/builder/module/attribute-box.js', array('vue'), $v, true);
wp_enqueue_script('ulisting-builder-module-element', ULISTING_URL . '/assets/js/builder/module/element.js', array('vue'), $v, true);
wp_enqueue_script('ulisting-builder-module-columns', ULISTING_URL . '/assets/js/builder/module/columns.js', array('vue'), $v, true);
wp_enqueue_script('control-panel', ULISTING_URL . '/assets/js/builder/controls/control-panel.js', array('vue'), $v, true);
wp_enqueue_script('ulisting-builder', ULISTING_URL . '/assets/js/builder/ulisting-builder.js', array('vue'), $v, true);
wp_enqueue_script('stm-item-card-layout', ULISTING_URL . '/assets/js/admin/stm-item-card-layout.js', array('vue'), $v, true);

$data['listing_type_id'] = $listingType->ID;
wp_add_inline_script('stm-item-card-layout', "var stm_item_card_layout_data = json_parse('". ulisting_convert_content(json_encode($data)) ."');", 'before');
?>
<div id="stm-item-card-layout" class="ulisting-builder p-l-15 p-r-15">
	<div class="stm-row">
		<div class="stm-col-6">
			<div class="stm-scrol-panel-x">
				<ul class="ulisting-nav min nav nav-justified">
					<li class="nav-item" v-for="card in card_layout" role="presentation">
						<a v-bind:class="{'show active':active_layout.id == card.id}" class="nav-link" href="javascript:void(0)" @click="set_layout(card)"> <i class="fa" v-bind:class="card.icon"></i> {{card.name}}</a>
					</li>
				</ul>
			</div>
		</div>
		<div class="stm-col-6">
			<div class="stm-row m-b-15" v-if="!save_load">
				<div class="stm-col-6">
					<div v-if="active_layout.field_group" class="config-panel-box">

						<span @click="active_layout.config_show = !active_layout.config_show" class="btn btn-light w-full">
							{{active_layout.name}} <?php _e("Config","ulisting")?>
							<i class="fa " v-bind:class="{'fa-angle-down' : !active_layout.config_show, 'fa-angle-up' : active_layout.config_show}"></i>
						</span>

						<div v-if="active_layout.config_show" class="config-panel-box-inner">

							<component v-for="field in active_layout.field_group"
								v-bind:is="field.type+'-field'"
								:field="field"
								:data="active_layout.config">
							</component>

							<button v-if="active_layout.id && !save_load" @click="save" type="button" class="btn btn-success w-full"> <i class="fa fa-floppy-o"></i> <?php _e("Save","ulisting")?></button>
						</div>
					</div>
				</div>
				<div class="stm-col-6">
					<button v-if="active_layout.id" @click="save" type="button" class="btn btn-success w-full"> <i class="fa fa-floppy-o"></i> <?php _e("Save","ulisting")?></button>
				</div>
			</div>

			<div v-show="save_load" class="panel-custom p-b-30 text-center">
				<div class="stm-spinner"> <div></div> <div></div> <div></div> <div></div> <div></div> </div>
			</div>



		</div>
	</div>

	<div class="panel-custom p-t-15  p-b-30">
		<ulisting-builder
			:key="'ulisting_preview_card_layout'"
			:load="load"
			:show_section="active_layout.id"
			:sections="sections"
			:config="config"
			:elements="elements"
			:donor="donor">
		</ulisting-builder>
	</div>
</div>

