<?php
use uListing\Classes\StmListingAttribute;
$data = [
    'available' => [],
    'used' => []
];

$usedAttributeIds = $listingType->getMeta('ulisting_listing_similar_attribute', true);
$availableAttributes = StmListingAttribute::all();
$usedAttributes = [];

$availableAttributes[] = (object) array(
    'id' => 'category',
    'title' => esc_html__('Category', "ulisting"),
);

foreach ($availableAttributes as $key => $attribute){
    if(isset( $usedAttributeIds[$attribute->id])) {
        $usedAttributes[$usedAttributeIds[$attribute->id]] = $attribute;
        unset($availableAttributes[$key]);
    } else {
        $attribute = (array)$attribute;
        if( isset($attribute['type']) AND (
            $attribute['type'] != StmListingAttribute::TYPE_WP_EDITOR AND
            $attribute['type'] != StmListingAttribute::TYPE_ACCORDION AND
            $attribute['type'] != StmListingAttribute::TYPE_TEXT_AREA AND
            $attribute['type'] != StmListingAttribute::TYPE_GALLAEY AND
            $attribute['type'] != StmListingAttribute::TYPE_LOCATION AND
            $attribute['type'] != StmListingAttribute::TYPE_PRICE AND
            $attribute['type'] != StmListingAttribute::TYPE_FILE))
        {
            $data['available'][] = [
                'id' =>  $attribute['id'],
                'name' => str_replace('"', '\"', $attribute['title']),
            ];
        }

    }
}

ksort($usedAttributes);
foreach ($usedAttributes as $usedAttribute) {
    $data['used'][] = [
        'id' => $usedAttribute->id,
        'name' => str_replace('"', '\"',  $usedAttribute->title)
    ];
}

wp_add_inline_script('ulisting-similar-listing', "var ulisting_similar_listing_data = json_parse('".str_replace("'", "\'", json_encode($data))."');", 'before');
?>

<div id="ulisting-similar-listing">
    <div class="stm-row">
        <div class="stm-col-12 stm-col-sm-6 ulisting-overflow">
            <div class="stm-height-100 p-l-15  p-r-15">
                <div class="sidebar-name">
                    <h2><?php esc_html_e('Used attribute', "ulisting")?><span class="spinner"></span></h2>
                </div>
                <div class="sidebar-description">
                    <p class="description"><?php esc_html_e('Description', "ulisting")?></p>
                </div>
                <draggable v-model="used" class="ulisting-draggable-panel stm-min-height-100px stm-height-100" :options="{group:'attribute', handle:'.handle'}">
                    <div class="ulisting-draggable-panel-items" v-for="(element, index) in used" :key="index">
                        <div class="ulisting-draggable-panel-items-top">
                            <div class="title">
								<span class="handle">
									<i class="fa fa-arrows"></i>
								</span>
                                <p>{{element.name}} </p>
                            </div>
                        </div>
                    </div>
                </draggable>
            </div>
        </div>
        <div class="stm-col-12 stm-col-sm-6 ulisting-overflow">
            <div class="stm-height-100 p-l-15 p-r-15">
                <div class="sidebar-name">
                    <h2><?php esc_html_e('All available attribute', "ulisting")?><span class="spinner"></span></h2>
                </div>
                <div class="sidebar-description">
                    <p class="description"><?php esc_html_e('Description', "ulisting")?></p>
                </div>
                <draggable v-model="available" class="ulisting-draggable-panel stm-min-height-100px stm-height-100" :options="{group:'attribute', handle:'.handle'}">
                    <div class="ulisting-draggable-panel-items" v-for="(element, index) in available" :key="index">
                        <div class="ulisting-draggable-panel-items-top">
                            <div class="title">
								<span class="handle">
									<i class="fa fa-arrows"></i>
								</span>
                                <p>{{element.name}} </p>
                            </div>
                        </div>
                    </div>
                </draggable>
            </div>
        </div>
    </div>
    <input v-for="element in used" type="hidden" name="StmListingTypeListingSimilarAttribute[]" v-model="element.id">
</div>