<?php
use uListing\Classes\StmListing;
use uListing\Classes\StmListingType;
use uListing\Classes\Vendor\Html;

$listing = StmListing::find_one(get_the_ID());
$listingType = $listing->getType();

$user_data = "{id:'',name:'',email:''}";;
if( $user = $listing->getUser() ){
	$user_data = "{id:".$user->data->ID.",name:'".$user->data->user_login."',email:'".$user->data->user_email."'}";
}

$feature_value = 0;
$feature_input_name = "listing[options][feature]";

if($feature_value = $listing->getAttributeOption('feature'))
	$feature_value = 1;

$label_texts = $listing->getAttributeOption('label_text');
$label_colors = $listing->getAttributeOption('label_color');
$customlabels = [];
$customlabels[1] = [
    'text'=>'',
    'color'=>''
];
if ($label_texts) {
    $customlabels = [];
    foreach ($label_texts as $label_text) {
        $key = array_search($label_text->sort, array_column($label_colors, 'sort'));
        $customlabels[$label_text->sort] = [
            'text' => $label_text->value,
            'color' => $label_colors[$key]->value
        ];
    }
}

if ($customlabels){
    $customlabels = json_encode($customlabels);
}
?>
<?php if(!$listingType):?>

<div class="ulisting-main">
	<div class="ulisting-panel-header clear-both">
		<span class="title"><?php _e("uListing", "ulisting")?></span>
	</div>

	<div class="p-t-30 p-b-15">
		<h4 class="text-center"><?php _e("Select a listing type and update the listing for additional fields to show.", "ulisting")?></h4>
		<br>
		<div class="stm-row stm-justify-content-center">
			<div class="stm-col-4">
				<div class="form-group">
					<label for="StmListing['type']"><?php _e("Listing Type", "ulisting")?></label>
					<br/>

					<?php echo Html::dropDownList('StmListing[type]', null, StmListingType::getDataList(), array('prompt'=>'- Select type -', 'class'=> "_select2"))?>
				</div>
			</div>
		</div>
	</div>
</div>

<?php else:?>

<div class="ulisting-main">
	<div class="ulisting-panel-header clear-both">
		<span class="title"><?php _e("uListing", "ulisting")?></span>
	</div>
	<div class="p-t-30 p-l-15 p-r-15">
		<div class="stm-row">
			<div class="stm-col-5">
				<div class="form-group">
					<div class="stm-user-search-app">
						<stm-user-search  inline-template :user="<?php echo esc_attr($user_data)?>">
							<div>
								<v-select label="name"  v-model="user" :filterable="false" :options="options" @search="onSearch">
									<template slot="no-options">
										<?php _e("Type to name or email for search user", "ulisting")?>
									</template>
									<template slot="option" slot-scope="option">
										<div class="d-center">
											{{option.id}} {{option.name}} {{option.email}}
										</div>
									</template>
									<template slot="selected-option" scope="option">
										<div class="selected d-center">
											{{option.id}} {{option.name}} {{option.email}}
										</div>
									</template>
								</v-select>
								<input type="hidden" name="StmListing[created_by]" v-model="user.id">
							</div>
						</stm-user-search>
					</div>
				</div>
			</div>
			<div class="stm-col-3">
				<div class="form-group m-t-10">
                    <label class="ulisting-checkbox">
                        <input type="checkbox" name="<?php echo esc_attr($feature_input_name);?>" value="1" <?php echo ($feature_value) ? 'checked':''?> >
                        <span></span>
                        <?php esc_html_e("feature", "ulisting")?>
                    </label>
                </div>
			</div>
		</div>

        <?php $labelcolor = [
                "red" =>esc_html__("Red", "ulisting"),
                "blue" =>esc_html__("Blue", "ulisting"),
                "green" =>esc_html__("Green", "ulisting"),
                "orange"=>esc_html__("Orange", "ulisting")
            ]; ?>
            <div class="stm-custom-label-app">
                 <label><?php esc_html_e("Custom Label", "ulisting") ?></label>
                    <stm-custom-label  inline-template :customlabels="<?php echo esc_attr($customlabels)?>">
                        <div>
                            <div class="stm-row" v-for="(item, index, id) in customlabels" :key="index">
                                <div class="stm-col-5">
                                    <div class="form-group">
                                        <input type="text" :id="'custom_id_'+index" class="form-control" :name="'listing[options][label_text]['+index+']'" v-model="item.text">
                                    </div>
                                </div>
                                <div class="stm-col-1">
                                    <div class="form-group">
                                        <select  name="listing[options][label_color][]" class="_select col_change" @change="colorchange($event.target.value, index)">
                                            <option value=""><?php esc_html_e("Select Color", "ulisting")   ?></option>
                                            <?php foreach ($labelcolor as $key => $value): ?>
                                            <option  :selected="item.color == '<?php echo esc_attr($key); ?>'"  value="<?php echo esc_attr($key); ?>"><?php esc_attr_e($value); ?></option>
                                        <?php endforeach; ?>
                                        </select>
                                    </div>
                                </div>
                                <div  class="stm-col-1">
                                    <button v-if="id == Object.keys(customlabels).length-1" @click="addlabels(index)" >+</button>
                                    <button v-if="id != Object.keys(customlabels).length-1 && id >= 0" @click="removelabels(index)" >-</button>
                                    <button v-if="id == Object.keys(customlabels).length-1  && id >= 1" @click="removelabels(index)" >-</button>
                                </div>
                            </div>
                        </div>
                    </stm-custom-label>
            </div>
    </div>
		<?php echo ulisting_render_template(ULISTING_ADMIN_PATH . '/views/listing/options.php', [
			'listingType' => $listingType,
			'listing' => $listing
		]);?>

	</div>
</div>

<?php endif;?>

<script>
	jQuery(document).ready(function($) {
		if(typeof wp.data != "undefined" ){
			var editPost = wp.data.select( 'core/edit-post' ),
				lastIsSaving = false;
			wp.data.subscribe( function() {
				var isSaving = editPost.isSavingMetaBoxes();
				if ( isSaving !== lastIsSaving && !isSaving ) {
					lastIsSaving = isSaving;
					location.reload();
				}
				lastIsSaving = isSaving;
			} );
		}
	})
</script>
