<?php
use uListing\Lib\PayPalStandard\Classes\PayPalStandard;

$stm_paypal_standard_settings_data = [];
$stm_paypal_standard_settings_data['modes'] = PayPalStandard::getMode();
$stm_paypal_standard_settings_data['mode_selected'] = (isset($data['mode'])) ? $data['mode'] : PayPalStandard::MODE_SANDBOX;

if(!isset($data['email']))
	$data['email'] = "";

wp_add_inline_script('stm-paypal-standard-settings', "var stm_paypal_standard_settings_data = json_parse('". ulisting_convert_content(json_encode($stm_paypal_standard_settings_data)) ."');", 'before');
?>
<div class="ulisting-main">


<?php if(!PayPalStandard::checkCurrency()):?>
	<div class="panel-custom p-t-30 p-b-30">
		<div class="p-t-30 p-b-30 p-l-30 p-r-30 ulisting-bg-white">
			<div class="alert alert-danger" role="alert"><?php esc_html_e('Gateway disabled: PayPal does not support your store currency.', "ulisting")?></div>
		</div>
	</div>
<?php else:?>
	<div id="stm-paypal-standard-settings"  class="panel-custom ">
		<h3><?php esc_html_e("PayPal Standard Settings", "ulisting")?></h3>
		<div class="form-horizontal  p-t-15 p-b-30 p-l-30 p-r-30 ulisting-bg-white">
			<form method="post">
				<div class="form-group">
					<label class="col-xs-12 col-sm-2 "><?php esc_html_e("PayPal email", "ulisting")?></label>
					<div class="col-xs-12 col-sm-6">
						<input type="text" class="form-control" name="PayPalStandard[email]" value="<?php echo esc_attr($data['email'])?>">
					</div>
				</div>
				<hr>

				<?php if(false):?>

				<h4 class=" p-b-30"><?php _e("API credentials", "ulisting")?></h4>
				<div class="form-group">
					<label class="col-xs-12 col-sm-2 "><?php esc_html_e("API username", "ulisting")?></label>
					<div class="col-xs-12 col-sm-6">
						<input type="text" class="form-control" name="PayPalStandard[username]" value="<?php echo esc_attr($data['username'])?>">
					</div>
				</div>
				<div class="form-group">
					<label class="col-xs-12 col-sm-2 "><?php esc_html_e("API password", "ulisting")?></label>
					<div class="col-xs-12 col-sm-6">
						<input type="text" class="form-control" name="PayPalStandard[password]" value="<?php echo esc_attr($data['password'])?>">
					</div>
				</div>
				<div class="form-group">
					<label class="col-xs-12 col-sm-2 "><?php esc_html_e("API signature", "ulisting")?></label>
					<div class="col-xs-12 col-sm-6">
						<input type="text" class="form-control" name="PayPalStandard[signature]" value="<?php echo esc_attr($data['signature'])?>">
					</div>
				</div>
				<?php endif;?>
				<div class="form-group">
					<label class="col-xs-12 col-sm-2 "><?php esc_html_e("Mode", "ulisting")?></label>
					<div class="col-xs-12 col-sm-6">
						<select name="PayPalStandard[mode]" class="form-control" v-model="mode_selected">
							<option v-for="(mode, key) in modes" v-bind:value="key">{{mode}}</option>
						</select>
					</div>
				</div>
				<hr>
				<h4><?php _e("IPN url", "ulisting")?></h4>
				<div class="p-t-15 p-b-30">
					<?php echo \uListing\Lib\PayPalStandard\Classes\PayPalStandardIpn::get_ipn_url();?>
				</div>
				<button class="button-primary"><?php esc_html_e("Save", "ulisting")?></button>
			</form>
		</div>

	</div>
<?php endif;?>
</div>
