<?php
use uListing\Lib\PricingPlan\Classes\StmPricingPlans;
use uListing\Lib\PricingPlan\Classes\StmUserPlan;
?>
<?php if(isset($_GET['id']) AND $user_plan = StmUserPlan::find_one(sanitize_text_field($_GET['id']))) : ?>
<?php
$user = $user_plan->getUser();
$pricingPlan = $user_plan->getPricingPlan();
$data = [
	'model' => array(
		'id' => $user_plan->id,
		'user' => array(
		    'id' => $user->ID,
			'name' => isset($user->data->display_name) ? $user->data->display_name : '',
			'email' =>   isset($user->data->user_email) ? $user->data->user_email : '',
		),
		'plan_id' =>  $user_plan->plan_id,
		'status' =>  $user_plan->status,
		'expired_date' =>  $user_plan->expired_date,
	),
	'disabled' => array(
		'plan' => 1,
	),
	'plans'       => StmPricingPlans::getListData(),
	'status_list' => StmUserPlan::getStatus(),
	'return_url'  => admin_url('edit.php?post_type=stm_pricing_plans&page=stm_user_plans'),
];

if($user_plan->status == StmUserPlan::STATUS_CANCELED || $user_plan->getMeta('canceled'))
	$data['disabled']['staus'] = 1;

wp_add_inline_script('stm-user-plan-form', "var stm_user_plans_data = json_parse('".json_encode($data)."');", 'before');
?>
<div class="ulisting-main">
	<div class="wrap">
		<h1 class="wp-heading-inline"><?php esc_html_e("User plan edit", "ulisting") ?> # <?php echo esc_attr($user_plan->id)?></h1>
		<div class="panel-custom p-t-30">
			<?php ulisting_render_template(ULISTING_PATH_LIB_PRICING_PLAN . '/views/admin/user_plan/form.php', [], true);?>
		</div>
	</div>
</div>
<?php endif; ?>
