<?php
$lang = explode("_", get_locale());
$lang = $lang[0];
?>
<div class="ulisting-main">
	<div id="stm-user-plans-app" class="form-horizontal ulisting-bg-white p-t-30 p-b-30">
		<div class="form-group">
			<label class="col-sm-3 control-label"><?php esc_html_e('User',"ulisting")?></label>
			<div class="col-sm-6">

				<stm-user-search  inline-template :user="model.user" v-on:stm-user-search="selectUser">
					<div>
						<v-select label="name"  v-model="user" :filterable="false" :options="options" @search="onSearch">
							<template slot="no-options">
								<?php _e("Type to name or email for search user", "ulisting")?>
							</template>
							<template slot="option" slot-scope="option">
								<div class="d-center">
									{{option.id}} {{option.name}} {{option.email}}
								</div>
							</template>
							<template slot="selected-option" scope="option">
								<div class="selected d-center">
									{{option.id}} {{option.name}} {{option.email}}
								</div>
							</template>
						</v-select>
					</div>
				</stm-user-search>
				<span v-if="errors.user" style="color: red">{{errors.user}}</span>
			</div>
		</div>

		<div class="form-group">
			<label class="col-sm-3 control-label"><?php esc_html_e('Plan',"ulisting")?></label>
			<div class="col-sm-6">
				<ulisting-select2 :options='plans'
					v-model="model.plan_id"
					:disabled="disabled.plan"
					:placeholder="'Select plan'"
					class="ulisting-select">
				</ulisting-select2>
				<span v-if="errors.plan" style="color: red">{{errors.plan}}</span>
			</div>
		</div>

		<div class="form-group">
			<label class="col-sm-3 control-label"><?php esc_html_e('Expired date',"ulisting")?></label>
			<div class="col-sm-6">
				<date-picker clearable="false"
					confirm
					v-model="model.expired_date"
					input-class="form-control" width="100%"
					class="ulisting-date-picker"
					format="DD-MM-YYYY"
					lang=<?php echo esc_attr($lang)?>
					@confirm="set_expired_date">
				</date-picker>
				<span v-if="errors.plan" style="color: red">{{errors.expired_date}}</span>
			</div>
		</div>

		<div class="form-group">
			<label class="col-sm-3 control-label"><?php esc_html_e('Status',"ulisting")?></label>
			<div class="col-sm-6">
				<ulisting-select2 :options='status_list'
					v-model="model.status"
					:disabled="disabled.staus"
					:placeholder="'Select status'"
					class="ulisting-select">
				</ulisting-select2>
				<span v-if="errors.status" style="color: red">{{errors.status}}</span>
			</div>
		</div>

		<div class="form-group">
			<div v-if="load" class="panel-custom p-b-30 text-center">
				<div class="stm-spinner"> <div></div> <div></div> <div></div> <div></div> <div></div> </div>
			</div>
			<!--		v-if="!load"-->
			<div  class="col-sm-offset-3 col-sm-6">
				<button @click="save()" type="submit" class="btn btn-default"><?php esc_html_e('Save',"ulisting")?></button>
			</div>
		</div>

	</div>

</div>

<script>
	jQuery(document).ready(function($) {
		$("#expired_date").datepicker({
			dateFormat: "dd-mm-yy"
		});
	});
</script>