<?php
use uListing\Classes\Vendor\Html;
use uListing\Lib\PricingPlan\Classes\StmPricingPlans;

$data['pricing_plan_id'] = get_post()->ID;
wp_add_inline_script('stm-listing-pricing-plan-form', "var stm_pricing_plan_form = json_parse('". ulisting_convert_content(json_encode($data)) ."');", 'before');
?>

<?php if(!ulisting_subscription_active()):?>
	<div class="p-t-15 p-r-15 p-b-15 p-l-15">
		<?php \uListing\Classes\Notices::notice(\uListing\Classes\Notices::TYPE_ERROR, [__("Install <a target='_blank' href='https://stylemixthemes.com/wordpress-classified-plugin/'>uListing Subscriptions</a> addon to unlock this feature!", "ulisting")])?>
	</div>
<?php endif;?>

<div id="stm-listing-pricing-plan-form" class="ulisting-main">

	<div v-if="loading" class="panel-custom clear-both p-t-30 p-b-30 text-center">
		<div class="stm-spinner"> <div></div> <div></div> <div></div> <div></div> <div></div> </div>
	</div>

	<div v-if="!loading" class="clear-both p-t-30 p-b-30">

		<div v-if="!validate_date" v-html="notice"></div>

		<div v-if="show_field.payment_type" class="form-group">
			<div class="stm-row">
				<div class="stm-col-3">
					<label><?php echo esc_html__("Plan Payment Type", "ulisting")?></label>
				</div>
				<div class="stm-col-5">
					<div class="stm-row">
						<div v-for="item in payment_method_list" class="stm-col" v-bind:class="{'ulisting-lock':item.disabled}">
							<label class="ulisting-radio-button p-t-15 p-b-15">
								<input :disabled="(item.disabled || disabled.payment_type) ? true : false" type="radio" class="form-control" v-model="pricing_plan_data.payment_type" v-bind:value="item.id" name="StmPricingPlan[payment_type]">
								<span></span>
								{{item.text}}
							</label>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div v-if="show_field.type" class="form-group">
			<div class="stm-row">
				<div class="stm-col-3">
					<label><?php echo esc_html__("Plan Type", "ulisting")?></label>
				</div>
				<div class="stm-col-5">
					<ulisting-select2 name="StmPricingPlan[type]" :disabled="disabled.type ? true : false" :options="type_list" v-model="pricing_plan_data.type"></ulisting-select2>
				</div>
			</div>
		</div>
		<div class="form-group">
			<div class="stm-row">
				<div class="stm-col-3">
					<label><?php echo esc_html__("Plan price", "ulisting")?></label>
				</div>
				<div class="stm-col-5">
					<input type="text" class="form-control" name="StmPricingPlan[price]" v-model="pricing_plan_data.price">
				</div>
			</div>
		</div>
		<div v-if="show_field.listing_limit" class="form-group">
			<div class="stm-row">
				<div class="stm-col-3">
					<label><?php echo esc_html__("Listing limit", "ulisting")?></label>
				</div>
				<div class="stm-col-5">
					<input type="number" class="form-control" name="StmPricingPlan[listing_limit]" v-model="pricing_plan_data.listing_limit">
				</div>
			</div>
		</div>
		<div v-if="show_field.feature_limit" class="form-group">
			<div class="stm-row">
				<div class="stm-col-3">
					<label><?php echo esc_html__("Feature limit", "ulisting")?></label>
				</div>
				<div class="stm-col-5">
					<input type="number" class="form-control" name="StmPricingPlan[feature_limit]" v-model="pricing_plan_data.feature_limit">
				</div>
			</div>
		</div>
		<div class="form-group">
			<div class="stm-row">
				<div class="stm-col-3">
					<label><?php echo esc_html__("Duration", "ulisting")?></label>
				</div>
				<div class="stm-col-2">
					<input type="number" :disabled="disabled.duration ? true : false"  class="form-control" name="StmPricingPlan[duration]" v-model="pricing_plan_data.duration">
				</div>
				<div class="stm-col-3">
					<ulisting-select2 name="StmPricingPlan[duration_type]" :disabled="disabled.duration_type ? true : false" :options="duration_type_list" v-model="pricing_plan_data.duration_type"></ulisting-select2>
				</div>
			</div>
		</div>
		<div class="form-group">
			<div class="stm-row">
				<div class="stm-col-3">
					<label><?php echo esc_html__("Status", "ulisting")?></label>
				</div>
				<div class="stm-col-5">
					<ulisting-select2 name="StmPricingPlan[status]" :options="status_list" v-model="pricing_plan_data.status"></ulisting-select2>
				</div>
			</div>
		</div>
	</div>
</div>

<script>
	jQuery(document).ready(function($) {
	    if (wp.data) {
            var editPost = wp.data.select( 'core/edit-post' ),
                lastIsSaving = false;
            wp.data.subscribe( function() {
                var isSaving = editPost.isSavingMetaBoxes();
                if ( isSaving !== lastIsSaving && !isSaving ) {
                    lastIsSaving = isSaving;
                    location.reload();
                }
                lastIsSaving = isSaving;
            } );
	    }
	})
</script>





